Package: msqc1
Title: Sigma mix MSQC1 data
Version: 1.41.0
Authors@R: c(person("Tobias", "Kockmann",
        role = c("aut"), comment = c(ORCID = "0000-0002-1847-885X")),
    person("Christian", "Trachsel",
        role = c("aut")),
    person("Christian", "Panse",
        email = "cp@fgcz.ethz.ch",
        role = c("aut", "cre"),
        comment = c(ORCID = "0000-0003-1975-3064")))
Depends: R (>= 3.6), lattice, stats, utils
Suggests: BiocStyle, knitr, rmarkdown, testthat, specL (>= 1.2)
Description: contains eight technical replicate data
        set and a three replicate dilution series of the MS Qual/Quant
        Quality Control Mix standard sample (Sigma-Aldrich, Buchs, Switzerland)
        measured on five different mass spectrometer platforms at the
        Functional Genomics Center Zurich.
License: GPL
LazyData: true
VignetteBuilder: knitr
NeedsCompilation: no
biocViews: ExperimentData, MassSpectrometryData, ReproducibleResearch
URL: https://panoramaweb.org/labkey/MSQC1.url,
        http://fgcz-bfabric.uzh.ch/bfabric/project.html?projectId=1959
git_url: https://git.bioconductor.org/packages/msqc1
git_branch: devel
git_last_commit: 57ada5f
git_last_commit_date: 2026-04-28
Repository: Bioconductor 3.24
Date/Publication: 2026-04-30
Packaged: 2026-04-30 15:49:49 UTC; biocbuild
Author: Tobias Kockmann [aut] (ORCID: <https://orcid.org/0000-0002-1847-885X>),
  Christian Trachsel [aut],
  Christian Panse [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-1975-3064>)
Maintainer: Christian Panse <cp@fgcz.ethz.ch>

### R code from vignette source 'poster.Rnw'

###################################################
### code chunk number 1: msqc1
###################################################
library(msqc1)
plot(10 * msqc1::peptides$SIL.peptide.per.vial, msqc1::peptides$actual.LH.ratio, 
     log='xy', 
     ylab='reference L:H ratio',
     xlab='on column amount [fmol]',
     axes=FALSE,
     ylim=c(min(1 * msqc1::peptides$SIL.peptide.per.vial), 100),
     xlim=c(0.8, 4000)); 

axis(1, 10 * peptides$SIL.peptide.per.vial, 10 * peptides$SIL.peptide.per.vial )
axis(2, peptides$actual.LH.ratio, peptides$actual.LH.ratio)
text(10 * peptides$SIL.peptide.per.vial, peptides$actual.LH.ratio, peptides$Peptide.Sequence, cex=0.5 ,pos=4, srt=11)
box()


###################################################
### code chunk number 2: chromatographySP
###################################################

library(msqc1)
msqc1:::.figure_setup()
op <- par(mfrow=c(2,1), mar=c(5,5,5,1))
S.training.8rep <- msqc1:::.reshape_rt(msqc1_8rep, peptides=peptides, cex=2, plot=FALSE)
msqc1_8rep.norm <- msqc1:::.normalize_rt(msqc1_8rep, S.training.8rep,
                                reference_instrument = 'Retention.Time.QTRAP')




S.training.dil <- msqc1:::.reshape_rt(msqc1_dil, peptides=peptides, cex=2,plot=FALSE)
msqc1_dil.norm <- msqc1:::.normalize_rt(msqc1_dil, 
                                        S.training.dil, 
                                        reference_instrument = 'Retention.Time.QTRAP')


S.8rep <- data.frame(normRT=msqc1_8rep.norm$Retention.Time, 
              empRT=msqc1_8rep$Retention.Time, 
              instrument=msqc1_8rep.norm$instrument, 
              type='8 replicates')

S.dil <- data.frame(normRT=msqc1_dil.norm$Retention.Time, 
              empRT=msqc1_dil$Retention.Time, 
              instrument=msqc1_dil.norm$instrument, 
              type='dilution series')

S<-do.call('rbind',list(S.8rep, S.dil))

xyplot(normRT ~ empRT | type, 
       group=instrument, 
       xlab='empirical RT',
       ylab='normalized RT',
       auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
       data=S, layout=c(1,2))


###################################################
### code chunk number 3: figure3
###################################################
#msqc1:::.figure3(data=msqc1_8rep, peptides=peptides)
#R
x <- msqc1_8rep

x <- x[grepl("[by]", x$Fragment.Ion) & x$Peptide.Sequence %in% peptides$Peptide.Sequence, ]

x.sum <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name.Id, data=x, FUN=sum)

x.sum.sd <- aggregate(Area ~ instrument + Isotope.Label.Type + Peptide.Sequence,
                      data=x.sum, FUN=sd)
x.sum.mean <-  aggregate(Area ~ instrument + Isotope.Label.Type + Peptide.Sequence,
                         data=x.sum, FUN=mean)


S.peptide <- data.frame(sum_sd_area = x.sum.sd$Area,
        sum_mean_area = x.sum.mean$Area,
        instrument = x.sum.mean$instrument,
        type = "peptide level")


x <- msqc1_8rep

x <- x[grepl("[by]", x$Fragment.Ion) & x$Peptide.Sequence %in% peptides$Peptide.Sequence, ]

x.sum <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name.Id, data=x, FUN=sum)


x.light <- x.sum[x.sum$Isotope.Label.Type == "light", ]
x.heavy <- x.sum[x.sum$Isotope.Label.Type == "heavy", ]

x.merged <- merge(x.heavy, x.light, by=c('instrument', 'Peptide.Sequence', 'File.Name.Id'))

x.merged$log2ratio <- log(x.merged$Area.x, 2) - log(x.merged$Area.y, 2)

x.sum.sd <- aggregate(log2ratio ~ instrument  + Peptide.Sequence,
                      data=x.merged, FUN=sd)
x.sum.mean <-  aggregate(log2ratio ~ instrument  + Peptide.Sequence,
                         data=x.merged, FUN=mean)

S.log2 <- data.frame(sum_sd_area = x.sum.sd$log2ratio,
        sum_mean_area = x.sum.mean$log2ratio,
        instrument = x.sum.mean$instrument,
        type = "log2 L:H ratio level")


S <-  do.call('rbind', list(S.peptide, S.log2))



bwplot(100*(sum_sd_area /  sum_mean_area)  ~ instrument | type, data=S,
        panel=function(...){
                      panel.violin(..., fill = NULL, col = NULL, adjust = 1.0, varwidth = FALSE)
                      panel.bwplot(..., fill = "#AAAAAA88")
                      panel.abline(h = log(c(5, 10, 20), base = 10), col.line ='grey')
                      },
         scales = list(x = list(rot = 45),
                y = list(log=TRUE, at=100 * c(2.000, 1, 0.5, 0.25, 0.100, 0.050, 0.025, 0.01, 0.001))),
                ylab = 'coefficient of variation [%]')



###################################################
### code chunk number 4: poster.Rnw:371-372
###################################################
library(msqc1)


###################################################
### code chunk number 5: figure2 (eval = FALSE)
###################################################
## msqc1:::.figure2(data=msqc1_8rep)


###################################################
### code chunk number 6: poster.Rnw:379-523
###################################################

.panel.msqc1_dil <- function(...){
  idx <- order(msqc1::peptides$SIL.peptide.per.vial[order(msqc1::peptides$Peptide.Sequence)])
  peptide.idx <- sort(msqc1::peptides$Peptide.Sequence)[idx]
  
  pep <- peptide.idx[panel.number()]
  pep.idx <- (which(as.character(pep) == as.character(msqc1::peptides$Peptide.Sequence)))
  Protein.Name <- (msqc1::peptides$Protein.Name[pep.idx])
  actual.LH.ratio <- (msqc1::peptides$actual.LH.ratio[pep.idx])
  
  SIL.peptide.per.vial <- (msqc1::peptides$SIL.peptide.per.vial[(which(as.character(pep) == as.character(msqc1::peptides$Peptide.Sequence)))])
  
  # log2 changes
  panel.rect(-100,log2(actual.LH.ratio)-1, 5, log2(actual.LH.ratio)+1 ,border = '#EEEEEEEE', col='#EEEEEEEE')
  panel.rect(-100,log2(actual.LH.ratio)-0.5, 5, log2(actual.LH.ratio)+0.5 ,border = '#CCCCCCCC', col='#CCCCCCCC')
  
  # zero line
  panel.abline(h=c(0, log2(actual.LH.ratio)), col=c("grey", "black"), lwd=c(1,1))
  
  # plot the data
  panel.xyplot(...)
  panel.xyplot(..., type='smooth')
  
  # legend
  SIL.onColumnAmount <- paste("SIL on column=", round(SIL.peptide.per.vial * 10, 1), "fmol",sep='')
  message(Protein.Name)
  x.x<-0.85
  x.cex<-0.7
  
  offset <- 0
  if (actual.LH.ratio < 5){
  }else{offset <- -10}
  ltext(x=x.x, y=8.6 + offset, as.character(Protein.Name), cex=x.cex, pos=2)
  ltext(x=x.x, y=7.2 + offset, SIL.onColumnAmount, cex=x.cex, pos=2)
  #ltext(x=x.x, y=8, paste("SIL=",round(SIL.peptide.per.vial, 2),sep=''), cex=x.cex, pos=2)
  ltext(x=x.x, y=5.8 + offset, paste("actual.LH.ratio=",round(actual.LH.ratio, 2),sep=''), cex=x.cex, pos=2)
}

.figure4 <- function(data, peptides){
  msqc1:::.figure_setup()
  # load the package data
  # s <- msqc1::load_msqc1('dilSeries.csv')
  
  s <- data
  s <- s[grep("[by]", s$Fragment.Ion), ]
  # aggregate the haevy and light transition areas
  s.peptide_areas <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name, 
                               data=s, FUN=function(x){sum(x, na.rm=TRUE)})
  
  s.light <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='light',] 
  s.heavy <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='heavy',]
  
  s.peptie_areas_hl <- merge(s.heavy, s.light, by=c('instrument', 'Peptide.Sequence', 'relative.amount', 'File.Name'))
  
  names(s.peptie_areas_hl) <- c("instrument", "Peptide.Sequence", 
                                "relative.amount", "File.Name", 
                                "Isotope.Label.Type.x", "Area.heavy", 
                                "Isotope.Label.Type.y", "Area.light")
  
  idx <- order(peptides$SIL.peptide.per.vial[order(peptides$Peptide.Sequence)])
  peptide.idx <- sort(peptides$Peptide.Sequence)[idx]
  
  xyplot(log2(Area.light) - log2(Area.heavy) ~ relative.amount | Peptide.Sequence, 
         groups=s.peptie_areas_hl$instrument,
         data=s.peptie_areas_hl, 
         panel=.panel.msqc1_dil,
         layout=c(2,7),
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         index.cond=list(idx),
         scales=list(x = list(rot = 45, log=TRUE, at=sort(unique(s.peptie_areas_hl$relative.amount)) )),
         sub="log2 light heavy ratios of 6 dilutions on 5 MS plattforms",
         main='sigma mix peptide level signal')
}

.figure5 <- function(data, data_reference){
  msqc1:::.figure_setup()
  
  s <- data
  s <- s[grep("[by]", s$Fragment.Ion), ]
  s <- s[!s$Peptide.Sequence %in%  c('TAENFR','GYSIFSYATK'), ]
  
  s.peptide_areas <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name,  data=s, FUN=function(x){sum(x, na.rm=TRUE)})
  
  s.light <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='light',] 
  s.heavy <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='heavy',]
  
  s.peptie_areas_hl <- merge(s.heavy, s.light, by=c('instrument', 'Peptide.Sequence', 'relative.amount', 'File.Name'))
  
  names(s.peptie_areas_hl) <- c("instrument", "Peptide.Sequence", 
                                "relative.amount", "File.Name", 
                                "Isotope.Label.Type.x", "Area.heavy", 
                                "Isotope.Label.Type.y", "Area.light")
  
 
  s.8rep <- data_reference
  xx.table <- table(s.8rep$Peptide.Sequence)
  
  
  xxx <- do.call('rbind', 
                 lapply(c(0), function(cutoff){
                   xx.240 <- names(xx.table[xx.table > cutoff * 240 | xx.table == 160])
                   
                   sensitivity.dil <- msqc1:::.get_sensitivity_relative.amount(s.peptie_areas_hl[s.peptie_areas_hl$Peptide.Sequence %in% xx.240,], 
                                                                               max=42/14*12)
                   
                   sensitivity.dil$cutoff <- cutoff
                   sensitivity.dil
                 }))
                 
  
  AUC <- aggregate(sensitivity ~ instrument + relative.amount, 
                   data=xxx[xxx$log2ratio.cutoff<=1,], 
                   FUN=function(x){round(sum(x)/length(x),2)})
  
  AUC.relative.amount <- unique(AUC$relative.amount)
  
  xyplot(sensitivity ~ log2ratio.cutoff | relative.amount , 
         group=xxx$instrument, 
         #xlab="log2-scaled L:H cutoff value ",
         xlab=expression(epsilon),
         ylab='relative amount correctly quantified replicates',
         panel=function(...){
           pn = panel.number()
           panel.rect(0,0,0.5,1,col='#CCCCCCCC', border='#CCCCCCCC')
           panel.rect(0.5,0,1,1,col='#EEEEEEEE', border='#EEEEEEEE')
           panel.abline(h=c(0.5,0.9,1), col='darkgrey')
           panel.xyplot(...)
           message(paste(pn, AUC.relative.amount[pn]))
           AUC.panel <- AUC[AUC$relative.amount == AUC.relative.amount[pn], ]
           panel.text(1.50,0.31,"AUC [0,1]:", pos=4)
           panel.text(1.51, seq(0.05,0.25,length=5), 
                      paste(AUC.panel$instrument, AUC.panel$sensitivity, sep=" = "), 
                      pos=4, cex=0.75)
         },
         sub = list('sensitivity (relative number of data items having a distance to the theoretical log2ratio cutoff)', cex=1),
         data=xxx,
         xlim=c(0,5),
         type='l', 
         strip = strip.custom(strip.names = TRUE, strip.levels = TRUE),
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         lwd=3,
         layout=c(3,2)
  )
}


###################################################
### code chunk number 7: figure4
###################################################
.figure4(data = msqc1_dil, peptides=peptides)


###################################################
### code chunk number 8: figure5
###################################################
.figure5(data = msqc1_dil, data_reference = msqc1_8rep)


###################################################
### code chunk number 9: supplement_figure6
###################################################
msqc1:::.supplement_figure6(data=msqc1_dil, peptides=peptides)


###################################################
### code chunk number 10: supplement_figure7 (eval = FALSE)
###################################################
## msqc1:::.supplement_figure7(data=msqc1_dil)


###################################################
### code chunk number 11: poster.Rnw:553-602
###################################################
.figure6 <- function(data, peptides){
  msqc1:::.figure_setup()
  x_user <- data
  x_user <- droplevels(x_user[x_user$Peptide.Sequence %in% peptides$Peptide.Sequence, ])
  
  x_user.light <- x_user[x_user$Isotope.Label.Type == "light",]
  x_user.heavy <- x_user[x_user$Isotope.Label.Type == "heavy",]
  
  m_user <- merge(x_user.heavy, x_user.light, 
                  by=c('instrument', 'File.Name', 'Peptide.Sequence', 'Replicate.Name',
                       'Fragment.Ion', 'relative.amount', 'user', 'attempt', 'Protein.Name', 'Precursor.Charge'))
  
  pp <- data.frame(ratio=m_user$Area.y / m_user$Area.x, 
                   user=m_user$user, 
                   attempt=m_user$attempt,
                   instrument=m_user$instrument, 
                   Peptide.Sequence=m_user$Peptide.Sequence)
  
  m_user <- merge(peptides, pp, by='Peptide.Sequence')
  
  idx <- which(is.infinite(m_user$ratio))
  m_user$ratio[idx] <- NA
  
  user_n <- aggregate((actual.LH.ratio - ratio) ~ user + instrument + attempt, 
                      data=m_user, 
                      FUN=function(x){length(x)})
  names(user_n)[4] <- 'n'
  user_sd <- aggregate((actual.LH.ratio - ratio) ~ user + instrument + attempt, 
                       data=m_user, 
                       FUN=function(x){sd(x,na.rm=TRUE)})
  names(user_sd)[4] <- 'sd'
  
  user_sd_n <- cbind(user_sd, user_n)
  xyplot(sd ~ n | instrument, 
         group=user_sd_n$attempt, 
         data=user_sd_n,
         xlab='number of valid ratios',
         ylab="Standard deviation of Error",
         panel = function(...){
           
           auto.sd <- user_sd$sd[user_sd$attempt=='legacy']
           auto.n <- user_n$n[user_n$attempt=='legacy']
           panel.abline(h=auto.sd[panel.number()],col='grey')
           panel.abline(v=auto.n[panel.number()],col='grey')
           panel.xyplot(..., cex=1.4, lwd=1.4, type='p')
         },
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1.5)
  )
}


###################################################
### code chunk number 12: figure6
###################################################
.figure6(data=msqc1_userstudy, peptides=peptides)

## ----echo = FALSE, message = FALSE--------------------------------------------
if (!require(msqc1)){
  ## try http:// if https:// URLs are not supported
  if (!requireNamespace("BiocManager", quietly=TRUE))
      install.packages("BiocManager")
}

## ----"Supplementary Figure1", echo=FALSE, fig.width=6, fig.height=6, fig.retina=3, warning=FALSE, message = FALSE----
plot(10 * msqc1::peptides$SIL.peptide.per.vial, msqc1::peptides$actual.LH.ratio,
     log='xy',
     ylab='reference L:H ratio',
     xlab='on column amount [fmol]',
     axes=FALSE,
     xlim=c(0.8, 2000));

axis(1, 10 * peptides$SIL.peptide.per.vial, 10 * peptides$SIL.peptide.per.vial )
axis(2, peptides$actual.LH.ratio, peptides$actual.LH.ratio)
text(10 * peptides$SIL.peptide.per.vial, peptides$actual.LH.ratio, peptides$Peptide.Sequence, cex=0.5 ,pos=4, srt=11)
box()

## -----------------------------------------------------------------------------
table(msqc1_dil$relative.amount)

## -----------------------------------------------------------------------------
table(msqc1_dil$Peptide.Sequence)

## -----------------------------------------------------------------------------
table(msqc1_dil$Fragment.Ion)

## -----------------------------------------------------------------------------
table(msqc1_dil$instrument)

## ----"Figure1", echo=FALSE, fig.width=14, fig.height=9, fig.retina=3, warning=FALSE, message = FALSE----
msqc1:::.figure1(data=msqc1_8rep, peptides=peptides)

## ----echo=FALSE---------------------------------------------------------------
# taken from WEW
.compute_volcano_tuple <- function(x, y, adjust=TRUE, alternative="two.sided"){
  stopifnot(nrow(x) == nrow(y))

  res <- lapply(1:nrow(x), function(i){
    r <- t.test(x[i,], y[i,], paired =FALSE, alternative=alternative)
    data.frame(FC=(r$estimate[1] - r$estimate[2]), p.value=r$p.value)
  })
  
  res <- do.call('rbind', res)
  
  if(adjust){
    res$pval <- p.adjust(res$p.value, method="BH")
  }
  return(res)
} 

.shape_for_volcano <- function(S, peptides){
  
  S <- S[grep("[by]", S$Fragment.Ion), ]
  S <- S[S$Peptide.Sequence %in% peptides$Peptide.Sequence, ]
  S <- aggregate(Area ~ Peptide.Sequence + Isotope.Label.Type + instrument + File.Name.Id,
                data=S, FUN=sum)
  
  
  S <- data.frame(
    Peptide.Sequence=paste(S$Peptide.Sequence, S$Isotope.Label.Type, sep=','),
    Area=S$Area,
    instrument=paste(S$instrument), rep=S$File.Name.Id)
  
  
  S <- reshape(S,
               v.name="Area",
               idvar=c("Peptide.Sequence", 'instrument'),
               timevar="rep",
               direction = "wide")
  
  p <- gsub(".light", "", gsub(".heavy", "", S$Peptide.Sequence))

  row.names(S) <- 1:nrow(S)
  S <- (droplevels(S[which(p %in% names(table(p)[table(p) == 10])), ]))
  S <- S[order(paste(S$instrument, S$Peptide.Sequence )), ]
  
  idx.l <- grep('light', S$Peptide.Sequence )
  idx.h <- grep('heavy', S$Peptide.Sequence )
  
  L<-S[idx.l, 3:10]
  H<-S[idx.h, 3:10]
  v <- .compute_volcano_tuple(log2(L), log2(H))
  
  Peptide.Sequence <- gsub(".light", "", S$Peptide.Sequence[idx.l])
  instrument <- S$instrument[idx.l]
  
  S <- data.frame(Peptide.Sequence, instrument, log2FC=v$FC, p.value=v$p.value)
}


## ----fig.width=5, fig.height=10, fig.retina=3, echo=TRUE----------------------
S <- .shape_for_volcano(S=msqc1_8rep, peptides)

msqc1:::.figure_setup()

xyplot(-log(p.value, 10) ~ log2FC | instrument, data=S, group=Peptide.Sequence,
       panel = function(...){
         panel.abline(v=c(-1,1), col='lightgray')
         panel.abline(h=-log(0.05,10), col='lightgray')
         panel.xyplot(...)
       },
       ylab='-log10 of p-value',
       xlab='log2 fold change',
       layout=c(1,5),
       auto.key = list(space = "right", points = TRUE, lines = FALSE, cex=1))


## ----"Figure3a", echo=FALSE, fig.width=14, fig.height=9, fig.retina=3, warning=FALSE, message = FALSE----
msqc1:::.figure4(data=msqc1_dil, peptides=peptides)

## ----"Figure3b", echo = FALSE, fig.width = 14, fig.height = 5, fig.retina = 3, warning = FALSE, message = FALSE----
msqc1:::.figure5(data=msqc1_dil, data_reference = msqc1_8rep)

## -----------------------------------------------------------------------------
sessionInfo()

## ----echo = FALSE, message = FALSE--------------------------------------------
if (!require(msqc1)){
  ## try http:// if https:// URLs are not supported
  if (!requireNamespace("BiocManager", quietly=TRUE))
      install.packages("BiocManager")
  BiocManager::install("msqc1")
}

## -----------------------------------------------------------------------------
msqc1:::.normalize_rt

## -----------------------------------------------------------------------------
msqc1:::.reshape_rt

## -----------------------------------------------------------------------------
msqc1:::.plot_rt_8rep

msqc1:::.plot_rt_dil

## ----echo=TRUE, fig.width=8, fig.height=8, fig.retina=3, warning=FALSE, cache=FALSE, fig.asp=1, fig.cap=''----
S.training.8rep <- msqc1:::.reshape_rt(msqc1_8rep, peptides=peptides, cex=2)

## ----echo=TRUE, fig.width=15, fig.height=9, fig.retina=3, warning=FALSE, fig.cap='', cache=FALSE----
msqc1:::.plot_rt_8rep(msqc1_8rep, peptides=peptides, xlab='Replicate Id')

## ----echo=TRUE, fig.width=15, fig.height=9, fig.retina=3, warning=FALSE, cache=FALSE----
msqc1_8rep.norm <- msqc1:::.normalize_rt(msqc1_8rep, S.training.8rep, 
                                reference_instrument = 'Retention.Time.QTRAP')

msqc1:::.plot_rt_8rep(msqc1_8rep.norm,
             peptides=peptides,
             xlab='Replicate Id',
             ylab='Normalized Retention Time')

## ----echo=TRUE, fig.width=8, fig.height=8, fig.retina=3, warning=FALSE, cache=FALSE, fig.asp=1, fig.cap=''----
S.training.dil <- msqc1:::.reshape_rt(msqc1_dil, peptides=peptides, cex=2)

## ----echo=TRUE, fig.width=15, fig.height=9, fig.retina=3, warning=FALSE, cache=FALSE----
msqc1:::.plot_rt_dil(msqc1_dil, peptides, xlab='Replicate Id', ylab='Raw Retention Time')
msqc1_dil.norm <- msqc1:::.normalize_rt(msqc1_dil, 
                                        S.training.dil, 
                                        reference_instrument = 'Retention.Time.QTRAP')

msqc1:::.plot_rt_dil(msqc1_dil.norm, peptides=peptides, ylab="Normalized Retention Time")

## ----echo=FALSE, fig.width=10, fig.height=5, fig.retina=3, warning=FALSE, cache=FALSE----
op <- par(mfrow=c(1,2), mar=c(4,4,1,1))


plot(msqc1_8rep.norm$Retention.Time ~ msqc1_8rep$Retention.Time, 
     pch=as.integer(msqc1_8rep.norm$Peptide.Sequence),
     col=msqc1_8rep.norm$instrument,
     xlim=c(0,100))

legend("bottomright", 
       as.character(unique(msqc1_8rep.norm$instrument)),
       col= unique(msqc1_8rep.norm$instrument), 
       pch=as.integer(unique(msqc1_8rep.norm$instrument)))

plot(msqc1_dil.norm$Retention.Time ~ msqc1_dil$Retention.Time, 
     pch=as.integer(msqc1_dil.norm$Peptide.Sequence),
     col=msqc1_dil.norm$instrument,
     xlim=c(0,100))

legend("bottomright", 
       as.character(unique(msqc1_dil.norm$instrument)),
       col= unique(msqc1_dil.norm$instrument), 
       pch=as.integer(unique(msqc1_dil.norm$instrument)))


## ----cache=FALSE--------------------------------------------------------------
sessionInfo()

#R

# $HeadURL$
# $Id$
# $Date$

.signal_response_ident_plot <- function(data, 
                           prot=c("P00915", "P00918", "P04040", "P02741", "P15559", "PPIA"), 
                           instrument="NA", peptides){
  
  x.peptide <- aggregate(Area ~ Peptide.Sequence + Isotope.Label.Type + File.Name.Id + Protein.Name, 
                         data=data, 
                         FUN=function(x){
                           sum(as.numeric(x), na.rm = TRUE)
                           }
                         )
  
  r <- lapply(prot, function(p){
    x.peptide.filtered <- droplevels(x.peptide[grepl(p, x.peptide$Protein.Name), ])
    x.a <- aggregate(Area ~ Peptide.Sequence, FUN=max, data=x.peptide.filtered)
    
    idx <- order(x.a[,2], decreasing = TRUE)
    
    x.peptide.filtered$Peptide.Sequence <- factor(x.peptide.filtered$Peptide.Sequence, 
                                                  levels = x.a[order(x.a[,2], 
                                                                     decreasing = TRUE), 1])
    
    print(xyplot(log(Area,10) ~ Peptide.Sequence | p * instrument, 
                 groups=x.peptide.filtered$Protein.Name, 
                 data=x.peptide.filtered,
                 scales = list(x = list(rot = 45)), 
                 panel = function(x,y,...){
                   panel.abline(v = x[x %in% peptides$Peptide.Sequence], col='grey', lwd=3)
                   panel.xyplot(x,y,...)
                 },
                 auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
                 levels=order(x.peptide.filtered$Peptide.Sequence, 
                              decreasing = TRUE)
    ))
  })
}

.get_sensitivity_relative.amount <- function(x, stepsize=0.005, max=3 * 13, log2ratio.min=0, log2ratio.max=8){
  log2ratio.measured <- log(x$Area.light,2 ) - log(x$Area.heavy,2)
  log2ratio.theoretic <- unlist(lapply(x$Peptide.Sequence, function(p){
    idx <- which(as.character(p) == as.character(msqc1::peptides$Peptide.Sequence)); 
    log2(msqc1::peptides$actual.LH.ratio[idx])
  }
  ))
  
  rr <- lapply(unique(x$relative.amount), function(relative.amount){
    r <-lapply(unique(x$instrument), function(instrument){
      eps <- seq(log2ratio.min, log2ratio.max, by=stepsize)
      
      tt <-unlist(lapply(eps, function(eps){
        filter <- (x$instrument == instrument & x$relative.amount == relative.amount)
        sum(abs(log2ratio.measured[filter] - log2ratio.theoretic[filter]) < eps) / max 
      }))
      
      data.frame(log2ratio.cutoff=eps, sensitivity=tt, instrument=instrument, relative.amount=relative.amount)
    })
    
    do.call('rbind', r)
  })
  do.call('rbind', rr)
 }

.get_sensitivity <-function(x, stepsize=0.005, 
                            max = nrow(x) / length(unique(x$instrument)), 
                            log2ratio.min=0, log2ratio.max=8, lh.aggregate=FALSE){
 
  if (lh.aggregate){
    
    xx.heavy <- aggregate(Area.heavy ~ instrument + Peptide.Sequence, data=x, FUN=mean)
    xx.light <- aggregate(Area.light ~ instrument + Peptide.Sequence, data=x, FUN=mean)
    x <- cbind(xx.light, xx.heavy$Area.heavy)
    names(x)[4] <- "Area.heavy"
  }
  
  
  message(paste("number of elements is", nrow(x)))
  log2ratio.measured <- log(x$Area.light, 2) - log(x$Area.heavy,2)
  
  log2ratio.theoretic <- unlist(lapply(x$Peptide.Sequence, function(p){
    idx <- which(as.character(p) == as.character(msqc1::peptides$Peptide.Sequence)); 
    log2(msqc1::peptides$actual.LH.ratio[idx])
    }
    ))
  
  r <-lapply(unique(x$instrument), function(instrument){
    eps <- seq(log2ratio.min, log2ratio.max, by=stepsize)
    
    tt <-unlist(lapply(eps, function(eps){
      sum(abs(log2ratio.measured[x$instrument == instrument] - log2ratio.theoretic[x$instrument == instrument]) < eps) / max 
      }))
    
    #plot(eps,tt,type='b'); abline(v=1)
    data.frame(log2ratio.cutoff=eps, sensitivity=tt, instrument=instrument)
  })
  do.call('rbind', r)
  #xyplot(tt~eps, group=instrument, data=do.call('rbind', r),type='b', auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1))
}

.panel.msqc1_dil <- function(...){
  idx <- order(msqc1::peptides$SIL.peptide.per.vial[order(msqc1::peptides$Peptide.Sequence)])
  peptide.idx <- sort(msqc1::peptides$Peptide.Sequence)[idx]
  
  pep <- peptide.idx[panel.number()]
  pep.idx <- (which(as.character(pep) == as.character(msqc1::peptides$Peptide.Sequence)))
  Protein.Name <- (msqc1::peptides$Protein.Name[pep.idx])
  actual.LH.ratio <- (msqc1::peptides$actual.LH.ratio[pep.idx])
  
  SIL.peptide.per.vial <- (msqc1::peptides$SIL.peptide.per.vial[(which(as.character(pep) == as.character(msqc1::peptides$Peptide.Sequence)))])
  
  # log2 changes
  panel.rect(-100,log2(actual.LH.ratio)-1, 5, log2(actual.LH.ratio)+1 ,border = '#EEEEEEEE', col='#EEEEEEEE')
  panel.rect(-100,log2(actual.LH.ratio)-0.5, 5, log2(actual.LH.ratio)+0.5 ,border = '#CCCCCCCC', col='#CCCCCCCC')
  
  # zero line
  panel.abline(h=c(0, log2(actual.LH.ratio)), col=c("grey", "black"), lwd=c(1,1))
  
  # plot the data
  panel.xyplot(...)
  panel.xyplot(..., type='smooth')
  
  # legend
  SIL.onColumnAmount <- paste("SIL on column=", round(SIL.peptide.per.vial * 10, 1), "fmol",sep='')
  message(Protein.Name)
  x.x<-0.85
  x.cex<-0.7
  ltext(x=x.x, y=8.6, as.character(Protein.Name), cex=x.cex, pos=2)
  ltext(x=x.x, y=8, SIL.onColumnAmount, cex=x.cex, pos=2)
  #ltext(x=x.x, y=8, paste("SIL=",round(SIL.peptide.per.vial, 2),sep=''), cex=x.cex, pos=2)
  ltext(x=x.x, y=7.4, paste("actual.LH.ratio=",round(actual.LH.ratio, 2),sep=''), cex=x.cex, pos=2)
}

.panel.8rep <- function(x, y, ..., errorflag=TRUE) {
  
  idx <- order(msqc1::peptides$SIL.peptide.per.vial[order(msqc1::peptides$Peptide.Sequence)])
  peptide.idx <- sort(msqc1::peptides$Peptide.Sequence)[idx]
  
  pepStr <- peptide.idx[panel.number()] 
  
  TheoRatioLH <- log2(msqc1::peptides$actual.LH.ratio[(which(as.character(pepStr) == as.character(msqc1::peptides$Peptide.Sequence)))])
  SIL.peptide.per.vial <- msqc1::peptides$SIL.peptide.per.vial[(which(as.character(pepStr) == as.character(msqc1::peptides$Peptide.Sequence)))]
  pep.idx <- (which(as.character(pepStr) == as.character(msqc1::peptides$Peptide.Sequence)))
  Protein.Name <- (msqc1::peptides$Protein.Name[pep.idx])
  
  if (errorflag){
   panel.abline(h=0, lwd=2, col='grey')
###################
   a.mean <- aggregate((y - TheoRatioLH) ~ x, FUN = mean)
   
   a.sd <- aggregate((y - TheoRatioLH) ~ x, FUN = sd)
###################
   
   #panel.segments(a.mean[,1], a.mean[,2] - a.sd[,2], a.mean[,1], a.mean[,2] + a.sd[,2],  lwd=3, col='black')
   
   #panel.points(a.mean[,1], a.mean[,2] - a.sd[,2], pch="-", col='black', cex=3)
   #panel.points(a.mean[,1], a.mean[,2] + a.sd[,2], pch="-", col='black', cex=3)

   #panel.points(a.mean[,1], a.mean[,2], col='cornflowerblue', pch='.', cex=3)
   panel.bwplot(x,y- TheoRatioLH,...)
  }else{
  
   panel.rect(0, TheoRatioLH - 1, 6, TheoRatioLH + 1, border = '#EEEEEEEE', col='#EEEEEEEE')
   panel.rect(0, TheoRatioLH - 0.5, 6, TheoRatioLH + 0.5, border = '#CCCCCCCC', col='#CCCCCCCC')
   panel.abline(h=TheoRatioLH, col="black", lwd=1)
  
   trust.ratios <- TheoRatioLH + (c(-0.1, 0.1) * TheoRatioLH)
   panel.abline(h=0, lwd=2, col='grey')
  
   panel.xyplot(x, y, ...)
  
   SILonColumnAmount <- paste("SIL on column=", round(SIL.peptide.per.vial * 10, 1), "fmol",sep='')
   x.x <- 5.5
   x.y <-5
  
   if (TheoRatioLH > 3.5){x.y<-1}
    x.cex<-0.7
    ltext(x=x.x, y=x.y+.6, as.character(Protein.Name), cex=x.cex, pos=2)
    ltext(x=x.x, y=x.y, SILonColumnAmount, cex=x.cex, pos=2)
  }
}


.load_msqc1 <- function(name=''){
  f <- system.file("extdata", name, package = "msqc1")
  if (name == ''){
    print(list.files(path = f))
  }else{
  
  s <- read.csv(f, sep=",", 
                header=TRUE, 
                na.strings='#N/A')
  class(s)=c('msqc1',class(s))
  return (s)}
}

.compute_cvs <- function(s, ...){
  s.light <- s[s$Isotope.Label.Type == "light",]
  s.heavy <- s[s$Isotope.Label.Type == "heavy",]
  m <- merge(s.heavy, s.light, by=c('instrument', 'File.Name', 'Peptide.Sequence', 'Fragment.Ion', 'File.Name.Id'))
  
  m.a <- aggregate(cbind(heavy=log2(Area.x), light=log2(Area.y)) ~ instrument + Peptide.Sequence + Fragment.Ion, 
                   data=m, FUN=function(x){print (paste(x[1,], x[2,]))})
  
  print(xyplot(Fragment.Ion ~ m.a[,4] | instrument * Peptide.Sequence , data=m.a, xlab="coefficient of variation", 
               scales = list(y = list(rot = 45))))
  print(bwplot(~m.a[,4] | instrument * Peptide.Sequence, data=m.a, xlab="coefficient of variation"))
  print(bwplot(~m.a[,4] | instrument, data=m.a, xlab="coefficient of variation", layout=c(1,5)))
  
}


## plots used in the publication
.figure_setup <- function(){
  
  t <- trellis.par.get()
  t$superpose.symbol$pch <- 1:14
  t$superpose.line$col <- c("#0080ffAA", "#ff00ffAA",
  	"#00640080", "#ff0000AA", "#FFA50080", 
	"#00ff00AA", "#A52A2A80")
  
  yg16 <- c("#EDF8E9","#E0F3DA", "#D2EDCC", "#C4E8BE",
  	"#B5E2AF", "#A3D99E", "#91D18E", "#7EC87E",
	"#6CC071", "#5CB768", "#4AAE5F", "#37A556",
	"#29984C", "#1D8941", "#107B36", "#006D2C")
  
  t$regions$col <- yg16
  
  ot <- trellis.par.set(t)
  
}

.figure1 <- function(data, peptides){
  .figure_setup()
  
  s.8rep = data
  # consider only b and y (e.g., no MS1!!!)
  s.8rep <- s.8rep[grep("[by]", s.8rep$Fragment.Ion), ]

  s.8rep.peptide <- aggregate(Area ~ Peptide.Sequence + Isotope.Label.Type + instrument + File.Name.Id, 
                              data=s.8rep, 
                              FUN=sum)
  
  s.8rep.peptide.light <- s.8rep.peptide[s.8rep.peptide$Isotope.Label.Type == "light",]
  s.8rep.peptide.heavy <- s.8rep.peptide[s.8rep.peptide$Isotope.Label.Type == "heavy",]
  m.8rep.peptide <- merge(s.8rep.peptide.heavy, s.8rep.peptide.light, 
                          by=c('instrument', 'Peptide.Sequence', 'File.Name.Id'))
  
  names(m.8rep.peptide) <- c("instrument", "Peptide.Sequence", "File.Name.Id", 
                             "Isotope.Label.Type.x", "Area.heavy", 
                             "Isotope.Label.Type.y", "Area.light")
  
  idx <- order(peptides$SIL.peptide.per.vial[order(peptides$Peptide.Sequence)])
  peptide.idx <- sort(peptides$Peptide.Sequence)[idx]
  
  xyplot((log2(Area.light) - log2(Area.heavy)) ~ instrument | Peptide.Sequence, 
         index.cond = list(idx),
         group = m.8rep.peptide$instrument,
         panel = function(...){.panel.8rep(..., errorflag=FALSE)},
         auto.key = list(space = "top", points = TRUE, lines = FALSE, cex=1),
         scales = list(x = list(rot = 45)),
         layout = c(7,2),
         sub = "log2 light heavy ratios of 8 replicates on 5 MS plattforms",
         data=m.8rep.peptide)
}

.figure2 <- function(data){
  .figure_setup()
  #s.8rep <- load_msqc1("8Rep.csv")
  s.8rep <- data
  s.8rep <- s.8rep[grep("[by]", s.8rep$Fragment.Ion), ]
  s.8rep.peptide <- aggregate(Area ~ Peptide.Sequence + Isotope.Label.Type + instrument + File.Name.Id, 
                              data=s.8rep, FUN=sum)
  
  
  s.8rep.peptide.light <- s.8rep.peptide[s.8rep.peptide$Isotope.Label.Type == "light",]
  s.8rep.peptide.heavy <- s.8rep.peptide[s.8rep.peptide$Isotope.Label.Type == "heavy",]
  m.8rep.peptide <- merge(s.8rep.peptide.heavy, s.8rep.peptide.light, 
                          by=c('instrument', 'Peptide.Sequence', 'File.Name.Id'))
  
  names(m.8rep.peptide) <- c("instrument", "Peptide.Sequence", "File.Name.Id", 
                             "Isotope.Label.Type.x", "Area.heavy", 
                             "Isotope.Label.Type.y", "Area.light")
  
  xx.table <- table(s.8rep$Peptide.Sequence)
  
  sensitivity.data <- m.8rep.peptide[ !m.8rep.peptide$Peptide.Sequence  %in%  c('TAENFR','GYSIFSYATK'), ]
  sensitivites <- .get_sensitivity(sensitivity.data, 
                                           log2ratio.max = 1,
                                           lh.aggregate = FALSE,
                                           max = max(table(sensitivity.data$instrument)))
  AUC <- aggregate(sensitivity ~ instrument, 
                   data=sensitivites, 
                   FUN=function(x){round(sum(x)/length(x),2)})
  
  xyplot(sensitivity ~ log2ratio.cutoff, 
         group=sensitivites$instrument, 
         #xlab=paste("log2-scaled L:H cutoff value", expression(epsilon)),
         xlab=expression(epsilon),
         ylab='relative amount correctly quantified replicates',
         #sub=list(paste("not considered peptides: ",peptides.not.considered ,sep=''), cex=0.5),
         panel=function(x,y,...){
           
           panel.rect(0,0,0.5,1,col='#CCCCCCCC', border='#CCCCCCCC')
           panel.rect(0.5,0,1,1,col='#EEEEEEEE', border='#EEEEEEEE')
           panel.abline(h=0.9)
           panel.xyplot(x,y,...)
           panel.text(0.50,0.55,"AUC [0,1]:", pos=4)
           panel.text(0.51, seq(0.3,0.5,length=5), paste(AUC$instrument, AUC$sensitivity, sep=" = "), pos=4, cex=0.75)
         },
         #ylab = list('relative number of data items having a distance to the theoretical log2ratio cutoff',  cex=.75),
         data=sensitivites,
         type = 'l', 
         auto.key=list(space = "top", 
                       points = TRUE, 
                       lines = FALSE, cex=1), 
         #sub=as.character(paste(paste(AUC$instrument, AUC$sensitivity, sep="="), col=',',sep='')),
         lwd = 3)
}

.figure3 <- function(data, peptides){
  .figure_setup()

  x = data
  x <- x[grepl("[by]", x$Fragment.Ion) & x$Peptide.Sequence %in% peptides$Peptide.Sequence, ]
  
  x.sum <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name.Id, 
                     data=x, FUN=sum)
  
  x.sum.cv <-  aggregate(Area ~ instrument + Isotope.Label.Type + Peptide.Sequence, 
                         data = x.sum, 
                         FUN = function(x){100 * sd(x) / mean(x)})

  bwplot(Area ~ instrument,
         data = x.sum.cv, 
         panel = function(...){
           panel.abline(h = log(c(5,10,20), base = 10), col.line ='grey')
           panel.violin(..., fill = NULL, col = NULL, adjust = 1.0, varwidth = FALSE)
           panel.bwplot(..., fill = "#AAAAAA88")
         },
         group=x.sum.cv$Isotope.Label.Type, 
         scales = list(x = list(rot = 45), 
                       y = list(log = TRUE, at = c(1, 2, 5, 10, 20, 50 ,100))),
         ylab = 'coefficient of variation [%]'
  )
  
}

.figure4 <- function(data, peptides){
  .figure_setup()
  # load the package data
  # s <- msqc1::load_msqc1('dilSeries.csv')
  
  s <- data
  s <- s[grep("[by]", s$Fragment.Ion), ]
  # aggregate the haevy and light transition areas
  s.peptide_areas <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name, 
                               data=s, FUN=function(x){sum(x, na.rm=TRUE)})
  
  s.light <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='light',] 
  s.heavy <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='heavy',]
  
  s.peptie_areas_hl <- merge(s.heavy, s.light, by=c('instrument', 'Peptide.Sequence', 'relative.amount', 'File.Name'))
  
  names(s.peptie_areas_hl) <- c("instrument", "Peptide.Sequence", 
                                "relative.amount", "File.Name", 
                                "Isotope.Label.Type.x", "Area.heavy", 
                                "Isotope.Label.Type.y", "Area.light")
  
  idx <- order(peptides$SIL.peptide.per.vial[order(peptides$Peptide.Sequence)])
  peptide.idx <- sort(peptides$Peptide.Sequence)[idx]
  
  xyplot(log2(Area.light) - log2(Area.heavy) ~ relative.amount | Peptide.Sequence, 
         groups=s.peptie_areas_hl$instrument,
         data=s.peptie_areas_hl, 
         panel=.panel.msqc1_dil,
         layout=c(7,2),
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         index.cond=list(idx),
         scales=list(x = list(rot = 45, log=TRUE, at=sort(unique(s.peptie_areas_hl$relative.amount)) )),
         sub="log2 light heavy ratios of 6 dilutions on 5 MS plattforms",
         main='sigma mix peptide level signal')
}

.figure5 <- function(data, data_reference){
  .figure_setup()
  
  s <- data
  s <- s[grep("[by]", s$Fragment.Ion), ]
  s <- s[!s$Peptide.Sequence %in%  c('TAENFR','GYSIFSYATK'), ]
  
  s.peptide_areas <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name,  data=s, FUN=function(x){sum(x, na.rm=TRUE)})
  
  s.light <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='light',] 
  s.heavy <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='heavy',]
  
  s.peptie_areas_hl <- merge(s.heavy, s.light, by=c('instrument', 'Peptide.Sequence', 'relative.amount', 'File.Name'))
  
  names(s.peptie_areas_hl) <- c("instrument", "Peptide.Sequence", 
                                "relative.amount", "File.Name", 
                                "Isotope.Label.Type.x", "Area.heavy", 
                                "Isotope.Label.Type.y", "Area.light")
  
 
  s.8rep <- data_reference
  xx.table <- table(s.8rep$Peptide.Sequence)
  
  
  xxx <- do.call('rbind', 
                 lapply(c(0), function(cutoff){
                   xx.240 <- names(xx.table[xx.table > cutoff * 240 | xx.table == 160])
                   
                   sensitivity.dil <- .get_sensitivity_relative.amount(s.peptie_areas_hl[s.peptie_areas_hl$Peptide.Sequence %in% xx.240,], 
                                                                               max=42/14*12)
                   
                   sensitivity.dil$cutoff <- cutoff
                   sensitivity.dil
                 }))
                 
  
  AUC <- aggregate(sensitivity ~ instrument + relative.amount, 
                   data=xxx[xxx$log2ratio.cutoff<=1,], 
                   FUN=function(x){round(sum(x)/length(x),2)})
  
  AUC.relative.amount <- unique(AUC$relative.amount)
  
  xyplot(sensitivity ~ log2ratio.cutoff | relative.amount , 
         group=xxx$instrument, 
         #xlab="log2-scaled L:H cutoff value ",
         xlab=expression(epsilon),
         ylab='relative amount correctly quantified replicates',
         panel=function(...){
           pn = panel.number()
           panel.rect(0,0,0.5,1,col='#CCCCCCCC', border='#CCCCCCCC')
           panel.rect(0.5,0,1,1,col='#EEEEEEEE', border='#EEEEEEEE')
           panel.abline(h=c(0.5,0.9,1), col='darkgrey')
           panel.xyplot(...)
           message(paste(pn, AUC.relative.amount[pn]))
           AUC.panel <- AUC[AUC$relative.amount == AUC.relative.amount[pn], ]
           panel.text(1.50,0.31,"AUC [0,1]:", pos=4)
           panel.text(1.51, seq(0.05,0.25,length=5), 
                      paste(AUC.panel$instrument, AUC.panel$sensitivity, sep=" = "), 
                      pos=4, cex=0.75)
         },
         sub = list('sensitivity (relative number of data items having a distance to the theoretical log2ratio cutoff)', cex=1),
         data=xxx,
         xlim=c(0,5),
         type='l', 
         strip = strip.custom(strip.names = TRUE, strip.levels = TRUE),
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         lwd=3
  )
}

.figure6 <- function(data, peptides){
  .figure_setup()
  x_user <- data
  x_user <- droplevels(x_user[x_user$Peptide.Sequence %in% peptides$Peptide.Sequence, ])
  
  x_user.light <- x_user[x_user$Isotope.Label.Type == "light",]
  x_user.heavy <- x_user[x_user$Isotope.Label.Type == "heavy",]
  
  m_user <- merge(x_user.heavy, x_user.light, 
                  by=c('instrument', 'File.Name', 'Peptide.Sequence', 'Replicate.Name',
                       'Fragment.Ion', 'relative.amount', 'user', 'attempt', 'Protein.Name', 'Precursor.Charge'))
  
  pp <- data.frame(ratio=m_user$Area.y / m_user$Area.x, 
                   user=m_user$user, 
                   attempt=m_user$attempt,
                   instrument=m_user$instrument, 
                   Peptide.Sequence=m_user$Peptide.Sequence)
  
  m_user <- merge(peptides, pp, by='Peptide.Sequence')
  
  idx <- which(is.infinite(m_user$ratio))
  m_user$ratio[idx] <- NA
  
  user_n <- aggregate((actual.LH.ratio - ratio) ~ user + instrument + attempt, 
                      data=m_user, 
                      FUN=function(x){length(x)})
  names(user_n)[4] <- 'n'
  user_sd <- aggregate((actual.LH.ratio - ratio) ~ user + instrument + attempt, 
                       data=m_user, 
                       FUN=function(x){sd(x,na.rm=TRUE)})
  names(user_sd)[4] <- 'sd'
  
  user_sd_n <- cbind(user_sd, user_n)
  xyplot(sd ~ n | instrument, 
         group=user_sd_n$attempt, 
         data=user_sd_n,
         xlab='number of valid ratios',
         ylab="Standard deviation of Error",
         panel = function(...){
           
           auto.sd <- user_sd$sd[user_sd$attempt=='legacy']
           auto.n <- user_n$n[user_n$attempt=='legacy']
           panel.abline(h=auto.sd[panel.number()],col='grey')
           panel.abline(v=auto.n[panel.number()],col='grey')
           panel.xyplot(..., cex=1.4, lwd=1.4, type='p')
         },
         auto.key=list(space = "right", points = TRUE, lines = FALSE, cex=1.5)
  )
}


.get_log2LHratio <- function(s){
  s.peptide_areas <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name, 
                               data=s, FUN=function(x){sum(x, na.rm=TRUE)})
  
  s.light <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='light',] 
  s.heavy <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='heavy',]
  
  s.peptie_areas_hl <- merge(s.heavy, s.light, by=c('instrument', 'Peptide.Sequence', 'relative.amount', 'File.Name'))
  
  names(s.peptie_areas_hl) <- c("instrument", "Peptide.Sequence", 
                                "relative.amount", "File.Name", 
                                "Isotope.Label.Type.x", "Area.heavy", 
                                "Isotope.Label.Type.y", "Area.light")
  
  return(droplevels(s.peptie_areas_hl))
}


.supplement_figure6 <- function(data, peptides){
  .figure_setup()
  s <- data
  s <- s[s$instrument %in% c('QExactive', 'QExactiveHF', 'TRIPLETOF'), ]
  s.product.ions <- s[grep("[by]", s$Fragment.Ion), ]
  s.ms1 <- s[!grepl("^[by]", s$Fragment.Ion), ]
  
  s.product.ions.log2LHratio <- .get_log2LHratio(s.product.ions)
  s.product.ions.log2LHratio$ms.level <- as.factor("product.ions")
  
  s.ms1.log2LHratio <- .get_log2LHratio(s.ms1)
  s.ms1.log2LHratio$ms.level <- as.factor("MS1")
  
  ##########################################################################
  pp <- msqc1::peptides[msqc1::peptides$Peptide.Sequence!="TAENFR", ]
  
  idx <- order(pp$SIL.peptide.per.vial[order(pp$Peptide.Sequence)])
  peptide.idx <- sort(pp$Peptide.Sequence)[idx]
  
  xx<-droplevels(do.call('rbind', list(s.product.ions.log2LHratio, s.ms1.log2LHratio)))
  
  xyplot(log2(Area.light)- log2(Area.heavy) ~ relative.amount |  Peptide.Sequence * ms.level,
         index.cond=list(idx, c(2,1)),
         groups=xx$instrument, 
         data = xx, 
         scales=list(x = list(rot = 45, 
                              log=TRUE, 
                              at=sort(unique(xx$relative.amount)) )), 
         type='p', 
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         panel=function(...){  
           pep <- peptide.idx[((panel.number() - 1) %% length(peptide.idx)) + 1]
           pep.idx <- (which(as.character(pep) == as.character(peptides$Peptide.Sequence)))
           
           Protein.Name <- peptides$Protein.Name[pep.idx]
           
           theoretic.log2.lh.ratio <- log2(msqc1::peptides$actual.LH.ratio[pep.idx])
           
           SIL.peptide.per.vial <- (peptides$SIL.peptide.per.vial[(which(as.character(pep) == as.character(peptides$Peptide.Sequence)))])
           
           # log2 changes
           panel.rect(-100,theoretic.log2.lh.ratio - 1, 5, theoretic.log2.lh.ratio + 1,
                      border = '#EEEEEEEE', col='#EEEEEEEE')
           panel.rect(-100,theoretic.log2.lh.ratio - 0.5, 5, theoretic.log2.lh.ratio+0.5,
                      border = '#CCCCCCCC', col='#CCCCCCCC')
           
           panel.abline(h=c(0, theoretic.log2.lh.ratio), col=c("grey", "black"), lwd=c(1,1))
           
           panel.xyplot(...)
           #message(panel.number())
         }
  )
  
  
}

.supplement_figure7 <- function(data){
  s <- data
  s <- s[s$instrument %in% c('QExactive', 'QExactiveHF', 'TRIPLETOF'), ]
  
  s.product.ions <- s[grep("[by]", s$Fragment.Ion), ]
  s.ms1 <- s[!grepl("^[by]", s$Fragment.Ion), ]
  
  s.product.ions.log2LHratio <- .get_log2LHratio(s.product.ions)
  s.product.ions.log2LHratio$ms.level <- as.factor("product.ions")
  
  s.ms1.log2LHratio <- .get_log2LHratio(s.ms1)
  s.ms1.log2LHratio$ms.level <- as.factor("MS1")
  
  sensitivity.product.ions <- .get_sensitivity_relative.amount(s.product.ions.log2LHratio[s.product.ions.log2LHratio$Peptide.Sequence !='GYSIFSYATK', ], max=1)
  
  sensitivity.product.ions$ms.level <- as.factor("product.ions")
  
  sensitivity.ms1 <- .get_sensitivity_relative.amount(s.ms1.log2LHratio[s.ms1.log2LHratio$Peptide.Sequence != 'GYSIFSYATK',], max=1)
  sensitivity.ms1$ms.level <- "MS1"
  
  sensitivity <- do.call('rbind', list(sensitivity.ms1, sensitivity.product.ions))
  
  
  AUC.s <- aggregate(sensitivity / max(sensitivity) ~ instrument + relative.amount + ms.level, 
                     data = sensitivity[sensitivity$log2ratio.cutoff <= 1, ], 
                     FUN = function(x){
                       round(sum(x) / length(x), 2)
                     })
  AUC.relative.amount <- rep(unique(AUC.s$relative.amount), 2)
  AUC.ms.level <- c(rep("MS1", 6), rep("product.ions", 6))
  group.instrument <- sensitivity$instrument
  xyplot(sensitivity / max(sensitivity) ~ log2ratio.cutoff | relative.amount * ms.level, 
         data=sensitivity, 
         group=group.instrument,
         type='l',
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         xlim=c(0,5),
         panel = function(...){
           pn = panel.number()
           AUC.panel.s <- AUC.s[(AUC.s$relative.amount == AUC.relative.amount[pn] & AUC.s$ms.level == AUC.ms.level[pn]), ]
           panel.rect(0,0,0.5,1,col='#CCCCCCCC', border='#CCCCCCCC')
           panel.rect(0.5,0,1,1,col='#EEEEEEEE', border='#EEEEEEEE')
           panel.abline(h=c(0.5,0.9,1), col='darkgrey')
           panel.xyplot(...)
           panel.text(1.50,0.31,"AUC [0,1]:", pos=4)
           AUC.values <-  paste(AUC.panel.s[,1], AUC.panel.s[,4], sep=" = ")
           message(AUC.values)
           panel.text(1.51, seq(0.10,0.23, length=length(AUC.values)), 
                      paste(AUC.panel.s[,1], AUC.panel.s[,4], sep=" = "), 
                      pos=4, cex=0.75)
         },
         strip = strip.custom(strip.names = TRUE, strip.levels = TRUE),
         led=3,
         xlab=expression(epsilon),
         ylab='relative amount correctly quantified replicates'
  )
}


.supplement_figure8 <- function(data){
  .figure_setup()
  
  peptide.filter <- c('GGPFSDSYR', 'VLDALQAIK', 'EGHLSPDIVAEQK', 'ALIVLAHSER', 'ESDTSYVSLK', 'GYSIFSYATK', 'FEDENFILK',
                      'FSTVAGESGSADTVR',  'NLSVEDAAR', 'SADFTNFDPR')
  
  s <- data[data$Peptide.Sequence %in% peptide.filter, ]
  s <- s[grep("[by]", s$Fragment.Ion), ]
  
  s.agg <- aggregate(Retention.Time ~ Peptide.Sequence * File.Name.Id * instrument, FUN=mean, data=s)
  s.model <- lm(Retention.Time ~ Peptide.Sequence * instrument, data=s.agg)
  summary(s.model)
  
  s.mean <- aggregate(Retention.Time ~ Peptide.Sequence *  instrument, FUN=mean, data=s.agg)
  s.sd <- aggregate(Retention.Time ~ Peptide.Sequence *  instrument, FUN=sd, data=s.agg)
  s.m<-merge(s.mean, s.sd, by=c('Peptide.Sequence', 'instrument'))
  
  xyplot(Retention.Time.y/Retention.Time.x ~ Peptide.Sequence, 
         data=s.m, 
         type='b',
         group=s.m$instrument, 
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         scales = list(x = list(rot = 45)), 
         ylab='coefficient of variation (CV) -  between 8 replicate retention time')
  
  xyplot(Retention.Time.y/Retention.Time.x ~ Peptide.Sequence, 
         data=s.m, 
         type='b',
         group=s.m$instrument, 
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         scales = list(x = list(rot = 45), y = list(log = TRUE, at=c(0.001, 0.01, 0.1, 1))), 
         ylab='coefficient of variation (CV) -  between 8 replicate retention time')
  
  
  # ok; ordering is not working
  xyplot(Retention.Time ~ File.Name.Id | Peptide.Sequence, 
         group=s.agg$instrument, 
         data=s.agg, 
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         type='b',
         scales = list(x = list(rot = 45)))
}
  
.supplement_figure9 <- function(data){
    .figure_setup()
    
    s <- data
    s <- s[grep("[by]", s$Fragment.Ion), ]
    s <- aggregate(Retention.Time ~ Peptide.Sequence * File.Name.Id * instrument, FUN=mean, data=s)
   
    tt<-table(s$Peptide.Sequence) 
    # use only the peptides which were meassured on all plattforms on all eight repititions
    peptide.filter <- names(tt[tt==40])
    s<- droplevels(s[s$Peptide.Sequence %in% peptide.filter,])
    
    s.min <- aggregate(Retention.Time ~ instrument * File.Name.Id , FUN=min, data=s)
    s.max <- aggregate(Retention.Time ~ instrument * File.Name.Id , FUN=function(x){ max(x)}, data=s)
  
    s <- merge(merge(s, s.min, by=c('File.Name.Id', 'instrument')), s.max, by=c('File.Name.Id', 'instrument'))
    s$Retention.Time.Delta <- (s$Retention.Time - s$Retention.Time.y)
    s$Retention.Time.Normalized <- (s$Retention.Time.x - s$Retention.Time.y) / s$Retention.Time.Delta
    #s$Retention.Time.Normalized <- (s$Retention.Time.x ) / s$Retention.Time
    
    xyplot(Retention.Time.Normalized ~ File.Name.Id | Peptide.Sequence, 
         group=s$instrument, 
         data=s, 
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         type='b',
         scales = list(x = list(rot = 45)), layout=c(length(unique(s$Peptide.Sequence)),1))
}

.normalize_rt <- function(S, S.training, reference_instrument = 'Retention.Time.QTRQP'){
  S.normalized <- S
  
  # build linear model to reference_instrument 
  # TODO(cp): use by
  for (instrument in unique(S.normalized$instrument)){
    
    i <- paste("Retention.Time", instrument, sep='.')
    
    rt.out <- S.training[, reference_instrument]
    rt.in <- S.training[, i]
    S.fit <- lm(rt.out ~ rt.in)
    
    S.normalized[S.normalized$instrument == instrument, 'Retention.Time'] <- predict(S.fit,                                                                                 data.frame(rt.in = S.normalized[S.normalized$instrument == instrument, 
                                                                                                                                                                                                            'Retention.Time']))
    
  }
  
  # scaling
  S.normalized.min <- min(S.normalized$Retention.Time, na.rm = TRUE)
  S.normalized.delta <- max(S.normalized$Retention.Time, na.rm = TRUE) - S.normalized.min 
  
  S.normalized$Retention.Time <- (S.normalized$Retention.Time - S.normalized.min) / S.normalized.delta
  
  return(S.normalized)
}

.reshape_rt <- function(S, peptides=peptides, plot=TRUE, ...){
  S <- S[grep("[by]", S$Fragment.Ion), ]
  S <- S[S$Peptide.Sequence %in% peptides$Peptide.Sequence, ]
  S <- aggregate(Retention.Time ~ Peptide.Sequence * instrument,
                 FUN=mean, 
                 data=S)
  
  #tt <- (table(S$Peptide.Sequence) == frequencyTableCutOff)
  #S <- S[S$Peptide.Sequence %in% names(tt)[tt], ]
  S <- droplevels(S)
  S.training <- reshape(S, direction = 'wide', 
                        v.names = 'Retention.Time', 
                        timevar = c('instrument'), 
                        idvar = 'Peptide.Sequence')
  
  if (plot == TRUE){
    pairs(S.training[, 2:6], 
          pch=as.integer(S.training$Peptide.Sequence), 
          col=as.integer(S.training$Peptide.Sequence),
          lower.panel = NULL, ...)
  }
  return(S.training)
}


.plot_rt_8rep <- function(S, peptides, ...){
  .figure_setup()
  S <- S[grep("[by]", S$Fragment.Ion), ]
  S <- S[S$Peptide.Sequence %in% peptides$Peptide.Sequence, ]
  S <- aggregate(Retention.Time ~ Peptide.Sequence * File.Name.Id * instrument 
                 * relative.amount * Isotope.Label.Type,
                 FUN=mean, 
                 data=S)
  S <- droplevels(S)
  
  xyplot(Retention.Time ~ File.Name.Id  | Isotope.Label.Type * instrument, 
         data = S, 
         layout = c(10, 1),
         group = S$Peptide.Sequence, 
         auto.key = list(space = "right", points = TRUE, lines = FALSE, cex=1),
         ...)
}

.plot_rt_dil <- function(S, peptides,...){
  .figure_setup()
  S <- S[grep("[by]", S$Fragment.Ion), ]
  S <- S[S$Peptide.Sequence %in% peptides$Peptide.Sequence, ]
  S <- aggregate(Retention.Time ~ Peptide.Sequence * File.Name * instrument 
                 * relative.amount * Isotope.Label.Type,
                 FUN=mean, 
                 data=S)
  S <- droplevels(S)
  
  xyplot(Retention.Time ~ relative.amount |  Isotope.Label.Type * instrument , 
         data = S, 
         layout = c(10, 1),
         group = S$Peptide.Sequence, 
         scales = list(x = list(rot = 45, log=TRUE, at=sort(unique(S$relative.amount)) )),
         auto.key = list(space = "right", points = TRUE, lines = FALSE, cex=1),...)
}

#R

context("Test 8 reps data")

test_that("8rep sanity check", {

	x <- msqc1_8rep
	x <- x[grepl("[by]", x$Fragment.Ion) & x$Peptide.Sequence %in% msqc1::peptides$Peptide.Sequence, ]
	x.sum <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name.Id, data=x, FUN=sum)

	x.sum.cv <-  aggregate(Area ~ instrument + Isotope.Label.Type + Peptide.Sequence, data = x.sum, FUN = function(x){100 * sd(x) / mean(x)})


	expect_true( table(x$relative.amount) == nrow(x) )
	expect_true( sum(unique(x$Peptide.Sequence) %in% peptides$Peptide.Sequence) == 14)
	expect_true( abs(0.95 * 5 * 2 * 14) <= nrow(x.sum.cv))
})

---
title: "A Mass Spec Data set for Targeted Proteomics Performance Evaluation"
author:
- name: Tobias Kockmann
  affiliation:
    - &fgcz Functional Genomics Center Zurich - Swiss Federal Institute of Technology in Zurich
- name: Christian Trachsel
  affiliation:
    - *fgcz
- name: Christian Panse
  email: cp@fgcz.ethz.ch
  affiliation:
    - *fgcz
    - &sib Swiss Institute of Bioinformatics, Quartier Sorge - Batiment Amphipole, CH-1015 Lausanne, Switzerland
- name: Jonas Grossmann
  affiliation:
    - *fgcz
    - *sib
- name: Witold E. Wolski
  affiliation:
    - *fgcz
    - *sib
abstract: |
  This document reproduces the Figures presented in [-@msqc1]. For a
  description of the theory behind applications shown here we refer to the
  original manuscript. The results differ slightly due to technical
  changes or bugfixes in `r BiocStyle::Biocpkg('msqc1')` that have
  been implemented after the manuscript was printed.
package: "`r pkg_ver('msqc1')`"
date: "`r Sys.Date()`"
bibliography:
  - msqc1.bib
vignette: >
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteIndexEntry{Introducing msqc1 - A Mass Spec Data set for Targeted Proteomics Performance Evaluation}
  %\VignetteEncoding{UTF-8}
output:
  BiocStyle::html_document:
    toc_float: true
---

<!--
%\VignetteEngine{knitr::rmarkdown}
%\VignetteIndexEntry{msqc1 - A Mass Spec Data set for Targeted Proteomics Performance Evaluation}
-->


```{r echo = FALSE, message = FALSE}
if (!require(msqc1)){
  ## try http:// if https:// URLs are not supported
  if (!requireNamespace("BiocManager", quietly=TRUE))
      install.packages("BiocManager")
}
```

# Introduction 

Here we provide an experiment data package containing all the spread sheets used for figures and supplemental figures published in @msqc1.
The raw instrument files are accessible for registered users through 
[https://fgcz-bfabric.uzh.ch](https://fgcz-bfabric.uzh.ch) [-@panse2022bridging]
as project 1959. Raw LC-MS data from all five platforms were imported into
[Skyline 3.1](https://skyline.gs.washington.edu), see @pmid20147306, processed, 
and are available though 
[https://panoramaweb.org/labkey/MSQC1.url](https://panoramaweb.org/labkey/MSQC1.url) when published.
This package contains data.frame objects exported by Skyline making the data available for the R world. 

# MSQC1 Peptide properties

## Figure - reference L:H ratio versus the on-column amount

```{r "Supplementary Figure1", echo=FALSE, fig.width=6, fig.height=6, fig.retina=3, warning=FALSE, message = FALSE}
plot(10 * msqc1::peptides$SIL.peptide.per.vial, msqc1::peptides$actual.LH.ratio,
     log='xy',
     ylab='reference L:H ratio',
     xlab='on column amount [fmol]',
     axes=FALSE,
     xlim=c(0.8, 2000));

axis(1, 10 * peptides$SIL.peptide.per.vial, 10 * peptides$SIL.peptide.per.vial )
axis(2, peptides$actual.LH.ratio, peptides$actual.LH.ratio)
text(10 * peptides$SIL.peptide.per.vial, peptides$actual.LH.ratio, peptides$Peptide.Sequence, cex=0.5 ,pos=4, srt=11)
box()
```

The scatter-plot displays the reference Light:Heavy ratio versus the on-column amount of heavy peptide of the MSQC1 peptide mix. Note, x and y axis are drawn in log scale.

# Data

show the dilution series
```{r}
table(msqc1_dil$relative.amount)
```

show the peptide frequency
```{r}
table(msqc1_dil$Peptide.Sequence)
```

show ion types
```{r}
table(msqc1_dil$Fragment.Ion)
```


show instruments
```{r}
table(msqc1_dil$instrument)
```

# Illustrations

## Figure - Sigma mix peptide level signals
```{r "Figure1", echo=FALSE, fig.width=14, fig.height=9, fig.retina=3, warning=FALSE, message = FALSE}
msqc1:::.figure1(data=msqc1_8rep, peptides=peptides)
```

**Sigma mix peptide level signals** - The graph displays the log2 L:H area ratios of eight technical replicates over 14 peptides from five MS platforms. The 14 panels were ordered by the on column amount of heavy peptide per vial (0.8, 4, 20, 40, 80, 200, 500, 1000 fmol). The black line indicates the theoretical L:H ratio as reported in the QC certificate by Sigma-Aldrich. In a perfect setting all data points would be located close to the black line indicating a perfect match between theoretical and measured log2 L:H ratios.
The dark gray boxes correspond to a 0.5 and the light grey boxes to a deviation of 1 from the expected value (black line).


## Figure - Volcano Plot


```{r, echo=FALSE}
# taken from WEW
.compute_volcano_tuple <- function(x, y, adjust=TRUE, alternative="two.sided"){
  stopifnot(nrow(x) == nrow(y))

  res <- lapply(1:nrow(x), function(i){
    r <- t.test(x[i,], y[i,], paired =FALSE, alternative=alternative)
    data.frame(FC=(r$estimate[1] - r$estimate[2]), p.value=r$p.value)
  })
  
  res <- do.call('rbind', res)
  
  if(adjust){
    res$pval <- p.adjust(res$p.value, method="BH")
  }
  return(res)
} 

.shape_for_volcano <- function(S, peptides){
  
  S <- S[grep("[by]", S$Fragment.Ion), ]
  S <- S[S$Peptide.Sequence %in% peptides$Peptide.Sequence, ]
  S <- aggregate(Area ~ Peptide.Sequence + Isotope.Label.Type + instrument + File.Name.Id,
                data=S, FUN=sum)
  
  
  S <- data.frame(
    Peptide.Sequence=paste(S$Peptide.Sequence, S$Isotope.Label.Type, sep=','),
    Area=S$Area,
    instrument=paste(S$instrument), rep=S$File.Name.Id)
  
  
  S <- reshape(S,
               v.name="Area",
               idvar=c("Peptide.Sequence", 'instrument'),
               timevar="rep",
               direction = "wide")
  
  p <- gsub(".light", "", gsub(".heavy", "", S$Peptide.Sequence))

  row.names(S) <- 1:nrow(S)
  S <- (droplevels(S[which(p %in% names(table(p)[table(p) == 10])), ]))
  S <- S[order(paste(S$instrument, S$Peptide.Sequence )), ]
  
  idx.l <- grep('light', S$Peptide.Sequence )
  idx.h <- grep('heavy', S$Peptide.Sequence )
  
  L<-S[idx.l, 3:10]
  H<-S[idx.h, 3:10]
  v <- .compute_volcano_tuple(log2(L), log2(H))
  
  Peptide.Sequence <- gsub(".light", "", S$Peptide.Sequence[idx.l])
  instrument <- S$instrument[idx.l]
  
  S <- data.frame(Peptide.Sequence, instrument, log2FC=v$FC, p.value=v$p.value)
}

```

```{r fig.width=5, fig.height=10, fig.retina=3, echo=TRUE}
S <- .shape_for_volcano(S=msqc1_8rep, peptides)

msqc1:::.figure_setup()

xyplot(-log(p.value, 10) ~ log2FC | instrument, data=S, group=Peptide.Sequence,
       panel = function(...){
         panel.abline(v=c(-1,1), col='lightgray')
         panel.abline(h=-log(0.05,10), col='lightgray')
         panel.xyplot(...)
       },
       ylab='-log10 of p-value',
       xlab='log2 fold change',
       layout=c(1,5),
       auto.key = list(space = "right", points = TRUE, lines = FALSE, cex=1))

```


## Figure - Ratio stability upon analyte dilution

```{r "Figure3a", echo=FALSE, fig.width=14, fig.height=9, fig.retina=3, warning=FALSE, message = FALSE}
msqc1:::.figure4(data=msqc1_dil, peptides=peptides)
```

**Ratio stability upon analyte dilution** - Each scatter-plot panel displays the experimental derived log2 L:H ratios versus the relative amount. The panels are ordered by the SIL on column amount (lower left to upper right).
Color grouping was done by instrument. The loess fit curves were added for visualizing the trend.
The SIL value given in each panel legend is valid for the relative amount of 1.
The horizontal black line indicates the theoretical log2 L:H ratio.

## Figure - Accuracy

```{r "Figure3b", echo = FALSE, fig.width = 14, fig.height = 5, fig.retina = 3, warning = FALSE, message = FALSE}
msqc1:::.figure5(data=msqc1_dil, data_reference = msqc1_8rep)
```

**Accuracy** - The graph displays in each panel a sensitivity curves for a given relative amount.



# Session information
```{r}
sessionInfo()
```

# References

---
title: "LC Observations - Retention Time Stability"
author:
- name: Tobias Kockmann
  affiliation:
    - &fgcz Functional Genomics Center Zurich - Swiss Federal Institute of Technology in Zurich
- name: Christian Trachsel
  affiliation:
    - *fgcz
- name: Christian Panse
  affiliation:
    - *fgcz
    - &sib Swiss Institute of Bioinformatics
  email: cp@fgcz.ethz.ch
- name: Bernd Roschitzki 
  affiliation:
    - *fgcz
  email: bernd.roschitzki@fgcz.uzh.ch
package: "`r pkg_ver('msqc1')`"
date: "`r Sys.Date()`"
bibliography:
  - msqc1.bib
abstract: |
  This document extends the work concerning the HPLC systems presented
  in [-@msqc1]. We refer to the original manuscript for a
  description of the theory behind applications.
vignette: >
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteIndexEntry{LC Observations - Retention Time Stability}
  %\VignetteEncoding{UTF-8}
output:
  BiocStyle::html_document:
    toc_float: true
---

<!--
%\VignetteIndexEntry{LC Observations - Retention Time Stability}
%\VignetteEngine{knitr::rmarkdown}
-->


# Introduction 

This vignette file is thought to demonstrate the retention time stability of the `msqc1_8rep` and `msqc1_dil` data contained in the `r BiocStyle::Biocpkg('msqc1')` R package.

```{r, echo = FALSE, message = FALSE}
if (!require(msqc1)){
  ## try http:// if https:// URLs are not supported
  if (!requireNamespace("BiocManager", quietly=TRUE))
      install.packages("BiocManager")
  BiocManager::install("msqc1")
}
```

## Problem: 

**Retention Time (RT) form different LC-MS platforms are often not comparable (duration, offset).**

## Solution: Normalization 

The iRT concept [proposed in pmid22577012 for the RT normalization is used.
Instead of using the iRT-peptides 
MSQC1-peptides are used as reference peptides between the different chromatographic settings and systems.

The normalization is done by applying the following steps:

- define a reference platform (QTRAP)
- for each platform a linear model is build (in the following we use the `stats::lm` function) which maps the RT space of the corresponding platform into reference platform RT space (by using the `stats::predict.lm` method)
- scale the normalized RT values into [0, 1]
- visualize the normalized RT values

The code below shows the used R functions for the applied RT normalization.


```{r}
msqc1:::.normalize_rt
```

The `reshape_rt` method is used for reshaping the data from long to wide format which ease the the model building in the `msqc1:::.normalize_rt` method above.

```{r}
msqc1:::.reshape_rt
```

The following R code listings displays some helper functions designed to ease the visualization of the `msqc1_8rep` and `msqc1_dil` RT values.

```{r}
msqc1:::.plot_rt_8rep

msqc1:::.plot_rt_dil
```


# RT plot

## 8 Technical Replicates RT plot

Prepare the training data for the linear model.
```{r echo=TRUE, fig.width=8, fig.height=8, fig.retina=3, warning=FALSE, cache=FALSE, fig.asp=1, fig.cap=''}
S.training.8rep <- msqc1:::.reshape_rt(msqc1_8rep, peptides=peptides, cex=2)
```

**8 rep Scatterplot Matrices Plot** - Color and icon type indicates the differnet peptides. On an idea plot all values would be on one line.

```{r echo=TRUE, fig.width=15, fig.height=9, fig.retina=3, warning=FALSE, fig.cap='', cache=FALSE}
msqc1:::.plot_rt_8rep(msqc1_8rep, peptides=peptides, xlab='Replicate Id')
```

**8 replicate retention time** - The graph displays the raw retention time (in minutes) versus the replicate Id of each sample. Each panel displays one LC-MS platform. On some platforms the loading phase was recorded (TRIPLETOF, QTRAP) while on the other platforms not.


The following code will apply the retention time normalization for the `msqc_8rep` data:

```{r echo=TRUE, fig.width=15, fig.height=9, fig.retina=3, warning=FALSE, cache=FALSE}
msqc1_8rep.norm <- msqc1:::.normalize_rt(msqc1_8rep, S.training.8rep, 
                                reference_instrument = 'Retention.Time.QTRAP')

msqc1:::.plot_rt_8rep(msqc1_8rep.norm,
             peptides=peptides,
             xlab='Replicate Id',
             ylab='Normalized Retention Time')
```

**Normalized 8 replicate retention time** - The graphics displays the normalized retention time for each peptide (heavy and light) across all platforms. Apart from the *TAENFR* peptide all peptides show excellent elution time stability.


## Dilution Series RT plot

```{r echo=TRUE, fig.width=8, fig.height=8, fig.retina=3, warning=FALSE, cache=FALSE, fig.asp=1, fig.cap=''}
S.training.dil <- msqc1:::.reshape_rt(msqc1_dil, peptides=peptides, cex=2)
```

**Dilution Scatterplot Matrices Plot** - Color and icon type indicates the differnet peptides. On an idea plot all values would be on one line.


The graph in  displays the raw RT (in minutes) 
versus the relative amount (x-axis in log scale) of each sample. 
Each panel displays one LC-MS platform for each isotope label typ. 
The graph on the bottom  displays the normalized RT for each peptide (heavy and light).
*Note*: Since we have used different LC settings for the dilution data as we have used for the 8 rep data, we had to rebuild the linear models for the normalization.

```{r echo=TRUE, fig.width=15, fig.height=9, fig.retina=3, warning=FALSE, cache=FALSE}
msqc1:::.plot_rt_dil(msqc1_dil, peptides, xlab='Replicate Id', ylab='Raw Retention Time')
msqc1_dil.norm <- msqc1:::.normalize_rt(msqc1_dil, 
                                        S.training.dil, 
                                        reference_instrument = 'Retention.Time.QTRAP')

msqc1:::.plot_rt_dil(msqc1_dil.norm, peptides=peptides, ylab="Normalized Retention Time")
```


## LC Gradient Comparison

The graphs compare the LC gradient of each platform by plotting the normalized RT values again the raw RT values for the `msqc1_8rep` (left) and `msqc1_dil` (right) data.

```{r echo=FALSE, fig.width=10, fig.height=5, fig.retina=3, warning=FALSE, cache=FALSE}
op <- par(mfrow=c(1,2), mar=c(4,4,1,1))


plot(msqc1_8rep.norm$Retention.Time ~ msqc1_8rep$Retention.Time, 
     pch=as.integer(msqc1_8rep.norm$Peptide.Sequence),
     col=msqc1_8rep.norm$instrument,
     xlim=c(0,100))

legend("bottomright", 
       as.character(unique(msqc1_8rep.norm$instrument)),
       col= unique(msqc1_8rep.norm$instrument), 
       pch=as.integer(unique(msqc1_8rep.norm$instrument)))

plot(msqc1_dil.norm$Retention.Time ~ msqc1_dil$Retention.Time, 
     pch=as.integer(msqc1_dil.norm$Peptide.Sequence),
     col=msqc1_dil.norm$instrument,
     xlim=c(0,100))

legend("bottomright", 
       as.character(unique(msqc1_dil.norm$instrument)),
       col= unique(msqc1_dil.norm$instrument), 
       pch=as.integer(unique(msqc1_dil.norm$instrument)))

```

# Session information

```{r, cache=FALSE}
sessionInfo()
```

# References

%\VignetteIndexEntry{ASMS 2016 poster (in portrait) abstract ID number: 282492}
\documentclass[portrait,a0]{a0poster}

\usepackage{multicol}

\usepackage{graphics}
\usepackage{graphicx}
\usepackage{color}
\usepackage{float}
\usepackage{subfigure}
\usepackage{url}
\usepackage{hyperref}
\usepackage[latin1]{inputenc}
\usepackage[authoryear,round]{natbib}
\usepackage{sidecap}
\usepackage[scaled]{helvet}
\usepackage[latin1]{inputenc}
\graphicspath{{./graphics/}}

%\makesavenoteenv{tabular}


\addtolength{\textwidth}{1cm}
\addtolength{\oddsidemargin}{-1cm}
\setlength{\topmargin}{-2.6cm}
\setlength{\headheight}{0cm}
\setlength{\headsep}{0cm}
\setlength{\footskip}{0cm}
\setlength{\columnsep}{3cm}
\setlength{\parindent}{0cm}
\setlength{\parskip}{2ex}
\pagestyle{empty}
\newcommand{\scscst}{\scriptscriptstyle}
\newcommand{\scst}{\scriptstyle}
\renewcommand{\familydefault}{phv}
\renewcommand*\familydefault{\sfdefault}
\definecolor{NTNUBlue}{rgb}{0,0.6,1}
\definecolor{FGCZ}{rgb}{0,0.6,1}
\makeatletter
\renewcommand{\section}{\@startsection
        {section}%                          % the name
        {1}%                                % the level
        {0mm}%                              % the indent
        {-\baselineskip}%                   % the beforeskip
        {1mm}%                              % the afterskip
        {\Large\color{NTNUBlue}\bfseries}}% % the style
\renewcommand{\subsection}{\@startsection
        {subsection}%                       % the name
        {2}%                                % the level
        {0mm}%                              % the indent
        {-0.9\baselineskip}%                % the beforeskip
        {1mm}%                              % the afterskip
        {\large\color{NTNUBlue}\bfseries}}% % the style
\renewcommand{\subsubsection}{\@startsection
        {subsubsection}%                    % the name
        {3}%                                % the level
        {0mm}%                              % the indent
        {-0.7\baselineskip}%                % the beforeskip
        {1mm}%                              % the afterskip
        {\color{NTNUBlue}\bfseries}}% % the style
\makeatother

\def\subfigtopskip{-1pt}       % Length from the top of the subfigure box to
                               %   the begining of the FIGURE box.
\def\subfigbottomskip{-1pt}    % Length from the bottom of the CAPTION to
                               %   the bottom of the subfigure.
\def\subfigcapskip{-1pt}       % Length from the bottom of the FIGURE to the
                               %   begining of the CAPTION.
\def\subfigcapmargin{-1pt}     % Indentation of the caption from the sides
                               %   of the subfigure box.

%\renewcommand{\normalsize}{\fontsize{24.88}{30}\selectfont}
%\renewcommand{\normalsize}{\fontsize{20.74}{25}\selectfont}
\renewcommand{\normalsize}{\fontsize{22.00}{26.52}\selectfont}


\usepackage{eso-pic}
\newcommand\BackgroundPic{
\put(0,0){
\parbox[b][\paperheight]{\paperwidth}{%
\vfill
\centering
%\includegraphics[width=\paperwidth,height=\paperheight, keepaspectratio]{background}
\vfill
}}}

\SweaveOpts{prefix.string=plot, eps = FALSE, pdf = TRUE}

\begin{document}
\SweaveOpts{concordance=TRUE}
\AddToShipoutPicture{\BackgroundPic}

\begin{center}
\noindent\centerline{\includegraphics[width=\paperwidth]{FGCZ_Poster_Header_2014}}\\[2cm]

\parbox{0.95\textwidth}{

\resizebox{.95\textwidth}{!}{
\textsf{ \textbf{{\Huge Targeted Proteomics coming of age -- SRM PRM and DIA performance evaluated from  a core facility perspective}}}\\[2.0cm]
}

\vspace{0.5cm}

\resizebox{.9\textwidth}{!}{\hspace{3.5cm} Tobias Kockmann$^\diamond$, Christian Trachsel$^\diamond$, Christian Panse$^\diamond$, {\AA}sa W{\aa}hlander$^\ddag$, Nathalie Selevsek$^\diamond$, Jonas Grossmann$^\diamond$, Witold E. Wolski$^\diamond$, Claudia Fortes$^\diamond$, Paolo Nanni$^\diamond$ and Ralph Schlapbach$^\diamond$}\\[1.0cm]
}

\end{center}
\vspace{0.5cm}
\begin{multicols}{4}
\setlength{\columnseprule}{1pt}

%\begin{multicols}{2}
%\setlength{\columnseprule}{1pt}
\section{Introduction}

Quantitative mass spectrometry is a rapidly evolving methodology applied in a large number of - omics type research projects. During the past years, new designs of mass spectrometers have been developed and launched as commercial systems while in parallel new data acquisition schemes and data analysis paradigms have been introduced. Core facilities provide access to such technologies, but also actively support the researchers in finding and applying the best-suited analytical approach. In order to implement a solid fundament for this decision making process, facilities need to constantly compare and benchmark the various approaches. In this work we compare the quantitative accuracy and precision of current label-free targeted proteomics approaches (SRM, PRM and DIA) across multiple liquid chromatography mass spectrometry (LC-MS) platforms, using a readily available commercial standard sample.

\vspace{0.5cm}
\begin{figure}[H]
\centering
\includegraphics[width=0.45\columnwidth]{hit_map}
\caption{\textbf{Accuracy and precision}\label{fig:hitmap}}
\end{figure}

%\paragraph{Novel Aspect}
%Extensive quantitative comparison of targeted proteomics approaches on five different instrument platforms and a small user study.

\section{Methods}

A pre-digested protein sample (MSQC1; Sigma-Aldrich) with {\em a priori} known 
analyte quantities (mixture of 6 trypsin-digested human proteins
and 14 corresponding heavy synthetic peptides) was targeted in a complex yeast 
matrix on all platforms. In a first part, the quantitative accuracy and
precision (see Figure \ref{fig:hitmap}) was investigated at constant analyte 
quantities. In a second part, the impact of decreasing analyte quantities on 
analytical performance was studied over a concentration range of three orders 
of magnitude (dilution series data). Finally, the human influence on 
quantitative accuracy was 
investigated and contrasted with machine learning solutions (user study).



%The figure lists target peptides contained in MSQC1 mix.

<<label=msqc1, keep.source = FALSE, eval = TRUE, fig = TRUE, width=4, height=4, echo=FALSE, include=FALSE>>=
library(msqc1)
plot(10 * msqc1::peptides$SIL.peptide.per.vial, msqc1::peptides$actual.LH.ratio, 
     log='xy', 
     ylab='reference L:H ratio',
     xlab='on column amount [fmol]',
     axes=FALSE,
     ylim=c(min(1 * msqc1::peptides$SIL.peptide.per.vial), 100),
     xlim=c(0.8, 4000)); 

axis(1, 10 * peptides$SIL.peptide.per.vial, 10 * peptides$SIL.peptide.per.vial )
axis(2, peptides$actual.LH.ratio, peptides$actual.LH.ratio)
text(10 * peptides$SIL.peptide.per.vial, peptides$actual.LH.ratio, peptides$Peptide.Sequence, cex=0.5 ,pos=4, srt=11)
box()
@
\begin{figure}[H]
\centering
\includegraphics[width=0.8\columnwidth]{plot-msqc1}

\caption{\textbf{Target peptides} -- The scatter-plot displays the reference L:H ratio versus the on-column amount of heavy peptide. Note, x and y axis are drawn in log scale.}

\end{figure}



% <<label=chromatographyDil, eval = TRUE, fig = TRUE, echo=FALSE, include=FALSE, width=14.0, height=7.0>>=
% msqc1:::.plot_rt_dil(msqc1_dil.norm, peptides=peptides, ylab="Normalized Retention Time")
% @

<<label=chromatographySP, eval = TRUE, fig = TRUE, echo=FALSE, include=FALSE, width=5.0, height=10.0>>=

library(msqc1)
msqc1:::.figure_setup()
op <- par(mfrow=c(2,1), mar=c(5,5,5,1))
S.training.8rep <- msqc1:::.reshape_rt(msqc1_8rep, peptides=peptides, cex=2, plot=FALSE)
msqc1_8rep.norm <- msqc1:::.normalize_rt(msqc1_8rep, S.training.8rep,
                                reference_instrument = 'Retention.Time.QTRAP')




S.training.dil <- msqc1:::.reshape_rt(msqc1_dil, peptides=peptides, cex=2,plot=FALSE)
msqc1_dil.norm <- msqc1:::.normalize_rt(msqc1_dil, 
                                        S.training.dil, 
                                        reference_instrument = 'Retention.Time.QTRAP')


S.8rep <- data.frame(normRT=msqc1_8rep.norm$Retention.Time, 
              empRT=msqc1_8rep$Retention.Time, 
              instrument=msqc1_8rep.norm$instrument, 
              type='8 replicates')

S.dil <- data.frame(normRT=msqc1_dil.norm$Retention.Time, 
              empRT=msqc1_dil$Retention.Time, 
              instrument=msqc1_dil.norm$instrument, 
              type='dilution series')

S<-do.call('rbind',list(S.8rep, S.dil))

xyplot(normRT ~ empRT | type, 
       group=instrument, 
       xlab='empirical RT',
       ylab='normalized RT',
       auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
       data=S, layout=c(1,2))
@

\begin{figure}[H]
\centering
\includegraphics[width=0.8\columnwidth]{plot-chromatographySP}
%\includegraphics[width=1.0\columnwidth]{plot-chromatographyDilSP}
\caption{\textbf{Chromatography} -- The graphs compare the LC gradient 
of each platform by plotting the
normalized RT values versus the empirical RT values for the 
8 replicate (bottom) and dilution series (top) data.}
\end{figure}


\begin{table}[H]
%\includegraphics[width=1.0\columnwidth]{graphics/Paolo_Methods}


\begin{minipage}{1.0\columnwidth}
\resizebox{1.0\columnwidth}{!}{
\begin{tabular}{lcrrc}
\hline
\hline
MS system& Analysis mode & PCS & IT & MS2 res.\\
\hline
TSQ Vantage & SRM & 0.7~Da & 20~ms & - \\
QTRAP~5500 & SRM & 0.7~Da & 20~ms & -\\
Q~EXACTIVE &  PRM & 2.0~Da &120~ms \footnote{or 1e5}  & 70'000\footnote{at 200 m/z}\\
Q~EXACTIVE~HF & DIA & 25.0~Da & 45~ms\footnote{or 3e6} & 30'000\footnote{at 200 m/z}\\
TripleTOF~5600 & SWATH & 25.0~Da & 100~ms & 15'000\\
\hline
\hline
\end{tabular}
}
\end{minipage}



\caption{\textbf{Measurement schemes} --  Summarizes the measurement schemes compared in this study. PCS: Precursor selectivity, IT: Injection time, MS2 res.: reolution of MS2 scan. For Orbitrap type analyzers the max. injection time and the automated gain control (AGC) value is given. Filling of the C-trap will end as soon as one of the two parameters (IT or AGC) is fullfilled. }
\end{table}

% \begin{figure}[H]
% \centering
% \includegraphics[width=0.8\columnwidth]{plot-chromatographyDilSP}
% \caption{\textbf{Chromatography} -- The graph compare the LC gradient of each platform by plotting the % % normalized RT values again the raw RT values.}
% \end{figure}

\section{Results}
\newcommand{\barrow}{\item[\color{NTNUBlue}\ding{228}]}
\begin{itemize}
\item[--] Good linearity for all targeted peptides across the tested concentration range was observed.

\item[--] Targeted analysis platforms delivered very reproducible (ie. intra-assay CVs less than 15\%) and consistent quantitative data sets, even between platforms (see Figure \ref{fig:8rep-Precision}).

\item[--] Expected fold changes were obtained for all dilution points, however at low peptide concentrations, the accuracy of the measurements were compromised to different extents depending on the MS platform (see Figure \ref{fig:stability}).

\item[--] Compared to the automated evaluation of peakgroups in Skyline a manual curation usually leads to a higher number of quantified peaks but only expert user manage to do this without compromising on the variance (see Figure \ref{fig:user}).Each manual peakgroup validation will introduce a human bias which is not reproducible and therefore automated validation is favored (see Figure \ref{fig:user}).

\end{itemize}



% We are convinced that such benchmarking activities are important and necessary for the community to evaluate workflow performances objectively. Nevertheless, each workflow comes with its strength and weakness and needs to be evaluated within the given framework and research question. Finally, our results demonstrate that targeted analysis can be made reproducible between different platforms and allow the rapid and reliable characterization of protein targets in complex matrices independent of workflow and platform.
%In the user study for the data analysis, we show that compared to the automated evaluation of peakgroups in Skyline a manual curation usually leads to a higher number of quantified peaks but only expert user manage to do this without compromising on the variance while beginner users have a larger standard deviation of error than the automated evaluation. Additionally, each manual peakgroup validation will introduce a human bias which is not reproducible and therefore automated validation is favored.



\begin{figure}[H]
\centering
\includegraphics[width=1.0\columnwidth]{plot-figure6}
\caption{
{\bf Human impact on quantitative accuracy} -- 
The scatterplots graph the standard deviation of the error between measured and 
reference $\log_2$ L:H ratio against the number of valid ratios (L and H value 
is not NA) for each subject.
The crossing grey lines indicate the algorithmic proposed start solution
of the Skyline legacy peak picking.
On the Q-trap no automated peak group selection was trained since no decoy transitions 
were measured. mProphet and second-best were trained on the 8 repl. data 
set and applied with a q-value cut-off of 0.001.
\label{fig:user}}
\end{figure}



<<figure3, eval=TRUE, echo=FALSE, fig=TRUE, include=FALSE, width=5.0, height=5.0>>=
#msqc1:::.figure3(data=msqc1_8rep, peptides=peptides)
#R
x <- msqc1_8rep

x <- x[grepl("[by]", x$Fragment.Ion) & x$Peptide.Sequence %in% peptides$Peptide.Sequence, ]

x.sum <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name.Id, data=x, FUN=sum)

x.sum.sd <- aggregate(Area ~ instrument + Isotope.Label.Type + Peptide.Sequence,
                      data=x.sum, FUN=sd)
x.sum.mean <-  aggregate(Area ~ instrument + Isotope.Label.Type + Peptide.Sequence,
                         data=x.sum, FUN=mean)


S.peptide <- data.frame(sum_sd_area = x.sum.sd$Area,
        sum_mean_area = x.sum.mean$Area,
        instrument = x.sum.mean$instrument,
        type = "peptide level")


x <- msqc1_8rep

x <- x[grepl("[by]", x$Fragment.Ion) & x$Peptide.Sequence %in% peptides$Peptide.Sequence, ]

x.sum <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name.Id, data=x, FUN=sum)


x.light <- x.sum[x.sum$Isotope.Label.Type == "light", ]
x.heavy <- x.sum[x.sum$Isotope.Label.Type == "heavy", ]

x.merged <- merge(x.heavy, x.light, by=c('instrument', 'Peptide.Sequence', 'File.Name.Id'))

x.merged$log2ratio <- log(x.merged$Area.x, 2) - log(x.merged$Area.y, 2)

x.sum.sd <- aggregate(log2ratio ~ instrument  + Peptide.Sequence,
                      data=x.merged, FUN=sd)
x.sum.mean <-  aggregate(log2ratio ~ instrument  + Peptide.Sequence,
                         data=x.merged, FUN=mean)

S.log2 <- data.frame(sum_sd_area = x.sum.sd$log2ratio,
        sum_mean_area = x.sum.mean$log2ratio,
        instrument = x.sum.mean$instrument,
        type = "log2 L:H ratio level")


S <-  do.call('rbind', list(S.peptide, S.log2))



bwplot(100*(sum_sd_area /  sum_mean_area)  ~ instrument | type, data=S,
        panel=function(...){
                      panel.violin(..., fill = NULL, col = NULL, adjust = 1.0, varwidth = FALSE)
                      panel.bwplot(..., fill = "#AAAAAA88")
                      panel.abline(h = log(c(5, 10, 20), base = 10), col.line ='grey')
                      },
         scales = list(x = list(rot = 45),
                y = list(log=TRUE, at=100 * c(2.000, 1, 0.5, 0.25, 0.100, 0.050, 0.025, 0.01, 0.001))),
                ylab = 'coefficient of variation [%]')

@

\begin{figure}[H]
\centering
\subfigure[]{\includegraphics[width=1.0\columnwidth]{plot-figure3}}
\caption{{\bf \label{fig:8rep-Precision} Precision} -- The violin and box plots display
the distribution of the peptide level coefficient of variance (CV) computed on the light and 
heavy peptide signal of each platform.}
% Note on the figure the y--axis uses  logarithmic scale.  
% SRM/PRM methods display a smaller CV in comparison to DIA 
% approaches. The CV values of all devices are less than 20\%.
% In general the CV of all instruments beside of the Qexactive HF indicate a 
% similar level of performance.}
\end{figure}

%\end{multicols}

<<echo=FALSE>>=
library(msqc1)
@

<<figure2, eval=FALSE, echo=FALSE, fig=TRUE, include=FALSE, width=7.0, height=7.0>>=
msqc1:::.figure2(data=msqc1_8rep)
@

<<echo=FALSE>>=

.panel.msqc1_dil <- function(...){
  idx <- order(msqc1::peptides$SIL.peptide.per.vial[order(msqc1::peptides$Peptide.Sequence)])
  peptide.idx <- sort(msqc1::peptides$Peptide.Sequence)[idx]
  
  pep <- peptide.idx[panel.number()]
  pep.idx <- (which(as.character(pep) == as.character(msqc1::peptides$Peptide.Sequence)))
  Protein.Name <- (msqc1::peptides$Protein.Name[pep.idx])
  actual.LH.ratio <- (msqc1::peptides$actual.LH.ratio[pep.idx])
  
  SIL.peptide.per.vial <- (msqc1::peptides$SIL.peptide.per.vial[(which(as.character(pep) == as.character(msqc1::peptides$Peptide.Sequence)))])
  
  # log2 changes
  panel.rect(-100,log2(actual.LH.ratio)-1, 5, log2(actual.LH.ratio)+1 ,border = '#EEEEEEEE', col='#EEEEEEEE')
  panel.rect(-100,log2(actual.LH.ratio)-0.5, 5, log2(actual.LH.ratio)+0.5 ,border = '#CCCCCCCC', col='#CCCCCCCC')
  
  # zero line
  panel.abline(h=c(0, log2(actual.LH.ratio)), col=c("grey", "black"), lwd=c(1,1))
  
  # plot the data
  panel.xyplot(...)
  panel.xyplot(..., type='smooth')
  
  # legend
  SIL.onColumnAmount <- paste("SIL on column=", round(SIL.peptide.per.vial * 10, 1), "fmol",sep='')
  message(Protein.Name)
  x.x<-0.85
  x.cex<-0.7
  
  offset <- 0
  if (actual.LH.ratio < 5){
  }else{offset <- -10}
  ltext(x=x.x, y=8.6 + offset, as.character(Protein.Name), cex=x.cex, pos=2)
  ltext(x=x.x, y=7.2 + offset, SIL.onColumnAmount, cex=x.cex, pos=2)
  #ltext(x=x.x, y=8, paste("SIL=",round(SIL.peptide.per.vial, 2),sep=''), cex=x.cex, pos=2)
  ltext(x=x.x, y=5.8 + offset, paste("actual.LH.ratio=",round(actual.LH.ratio, 2),sep=''), cex=x.cex, pos=2)
}

.figure4 <- function(data, peptides){
  msqc1:::.figure_setup()
  # load the package data
  # s <- msqc1::load_msqc1('dilSeries.csv')
  
  s <- data
  s <- s[grep("[by]", s$Fragment.Ion), ]
  # aggregate the haevy and light transition areas
  s.peptide_areas <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name, 
                               data=s, FUN=function(x){sum(x, na.rm=TRUE)})
  
  s.light <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='light',] 
  s.heavy <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='heavy',]
  
  s.peptie_areas_hl <- merge(s.heavy, s.light, by=c('instrument', 'Peptide.Sequence', 'relative.amount', 'File.Name'))
  
  names(s.peptie_areas_hl) <- c("instrument", "Peptide.Sequence", 
                                "relative.amount", "File.Name", 
                                "Isotope.Label.Type.x", "Area.heavy", 
                                "Isotope.Label.Type.y", "Area.light")
  
  idx <- order(peptides$SIL.peptide.per.vial[order(peptides$Peptide.Sequence)])
  peptide.idx <- sort(peptides$Peptide.Sequence)[idx]
  
  xyplot(log2(Area.light) - log2(Area.heavy) ~ relative.amount | Peptide.Sequence, 
         groups=s.peptie_areas_hl$instrument,
         data=s.peptie_areas_hl, 
         panel=.panel.msqc1_dil,
         layout=c(2,7),
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         index.cond=list(idx),
         scales=list(x = list(rot = 45, log=TRUE, at=sort(unique(s.peptie_areas_hl$relative.amount)) )),
         sub="log2 light heavy ratios of 6 dilutions on 5 MS plattforms",
         main='sigma mix peptide level signal')
}

.figure5 <- function(data, data_reference){
  msqc1:::.figure_setup()
  
  s <- data
  s <- s[grep("[by]", s$Fragment.Ion), ]
  s <- s[!s$Peptide.Sequence %in%  c('TAENFR','GYSIFSYATK'), ]
  
  s.peptide_areas <- aggregate(Area ~ instrument + Isotope.Label.Type + relative.amount + Peptide.Sequence + File.Name,  data=s, FUN=function(x){sum(x, na.rm=TRUE)})
  
  s.light <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='light',] 
  s.heavy <- s.peptide_areas[s.peptide_areas$Isotope.Label.Type=='heavy',]
  
  s.peptie_areas_hl <- merge(s.heavy, s.light, by=c('instrument', 'Peptide.Sequence', 'relative.amount', 'File.Name'))
  
  names(s.peptie_areas_hl) <- c("instrument", "Peptide.Sequence", 
                                "relative.amount", "File.Name", 
                                "Isotope.Label.Type.x", "Area.heavy", 
                                "Isotope.Label.Type.y", "Area.light")
  
 
  s.8rep <- data_reference
  xx.table <- table(s.8rep$Peptide.Sequence)
  
  
  xxx <- do.call('rbind', 
                 lapply(c(0), function(cutoff){
                   xx.240 <- names(xx.table[xx.table > cutoff * 240 | xx.table == 160])
                   
                   sensitivity.dil <- msqc1:::.get_sensitivity_relative.amount(s.peptie_areas_hl[s.peptie_areas_hl$Peptide.Sequence %in% xx.240,], 
                                                                               max=42/14*12)
                   
                   sensitivity.dil$cutoff <- cutoff
                   sensitivity.dil
                 }))
                 
  
  AUC <- aggregate(sensitivity ~ instrument + relative.amount, 
                   data=xxx[xxx$log2ratio.cutoff<=1,], 
                   FUN=function(x){round(sum(x)/length(x),2)})
  
  AUC.relative.amount <- unique(AUC$relative.amount)
  
  xyplot(sensitivity ~ log2ratio.cutoff | relative.amount , 
         group=xxx$instrument, 
         #xlab="log2-scaled L:H cutoff value ",
         xlab=expression(epsilon),
         ylab='relative amount correctly quantified replicates',
         panel=function(...){
           pn = panel.number()
           panel.rect(0,0,0.5,1,col='#CCCCCCCC', border='#CCCCCCCC')
           panel.rect(0.5,0,1,1,col='#EEEEEEEE', border='#EEEEEEEE')
           panel.abline(h=c(0.5,0.9,1), col='darkgrey')
           panel.xyplot(...)
           message(paste(pn, AUC.relative.amount[pn]))
           AUC.panel <- AUC[AUC$relative.amount == AUC.relative.amount[pn], ]
           panel.text(1.50,0.31,"AUC [0,1]:", pos=4)
           panel.text(1.51, seq(0.05,0.25,length=5), 
                      paste(AUC.panel$instrument, AUC.panel$sensitivity, sep=" = "), 
                      pos=4, cex=0.75)
         },
         sub = list('sensitivity (relative number of data items having a distance to the theoretical log2ratio cutoff)', cex=1),
         data=xxx,
         xlim=c(0,5),
         type='l', 
         strip = strip.custom(strip.names = TRUE, strip.levels = TRUE),
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1),
         lwd=3,
         layout=c(3,2)
  )
}
@
<<figure4,eval=TRUE, echo=FALSE, fig=TRUE, include=FALSE, width=5.0, height=14.0>>=
.figure4(data = msqc1_dil, peptides=peptides)
@
<<label=figure5, eval = TRUE, fig = TRUE, echo=FALSE, include=FALSE, width=8.0, height=8.0>>=
.figure5(data = msqc1_dil, data_reference = msqc1_8rep)
@


\begin{figure}[H]
\centering
\includegraphics[width=1.0\columnwidth]{plot-figure4}
\includegraphics[width=1.0\columnwidth]{plot-figure5}
\caption{\textbf{Ratio stability upon analyte dilution and accuracy} --
Upper chart: Each scatterplot panel displays the experimental derived $\log_2$ L:H ratios versus the relative amount. Color grouping was done by instrument. The LOESS fit curves were added for visualizing the trend. The SIL value given in each panel legend is valid for the relative amount of 1. The horizontal black line indicates the theoretical $\log_2$ L:H ratio. On both visualizations grey color boxes indicate the one and 2-linear-fold change,
Lower chart: The graph displays in each panel a sensitivity curves for one relative amount for all the used workflows.
\label{fig:stability}}
\end{figure}



<<supplement_figure6, eval=TRUE, echo=FALSE, fig=TRUE, include=FALSE, width=21.0, height=9.0>>=
msqc1:::.supplement_figure6(data=msqc1_dil, peptides=peptides)
@

<<supplement_figure7,eval=FALSE, echo=FALSE, fig=TRUE, include=FALSE, width=14.0, height=7.0>>=
msqc1:::.supplement_figure7(data=msqc1_dil)
@

<<echo=FALSE>>=
.figure6 <- function(data, peptides){
  msqc1:::.figure_setup()
  x_user <- data
  x_user <- droplevels(x_user[x_user$Peptide.Sequence %in% peptides$Peptide.Sequence, ])
  
  x_user.light <- x_user[x_user$Isotope.Label.Type == "light",]
  x_user.heavy <- x_user[x_user$Isotope.Label.Type == "heavy",]
  
  m_user <- merge(x_user.heavy, x_user.light, 
                  by=c('instrument', 'File.Name', 'Peptide.Sequence', 'Replicate.Name',
                       'Fragment.Ion', 'relative.amount', 'user', 'attempt', 'Protein.Name', 'Precursor.Charge'))
  
  pp <- data.frame(ratio=m_user$Area.y / m_user$Area.x, 
                   user=m_user$user, 
                   attempt=m_user$attempt,
                   instrument=m_user$instrument, 
                   Peptide.Sequence=m_user$Peptide.Sequence)
  
  m_user <- merge(peptides, pp, by='Peptide.Sequence')
  
  idx <- which(is.infinite(m_user$ratio))
  m_user$ratio[idx] <- NA
  
  user_n <- aggregate((actual.LH.ratio - ratio) ~ user + instrument + attempt, 
                      data=m_user, 
                      FUN=function(x){length(x)})
  names(user_n)[4] <- 'n'
  user_sd <- aggregate((actual.LH.ratio - ratio) ~ user + instrument + attempt, 
                       data=m_user, 
                       FUN=function(x){sd(x,na.rm=TRUE)})
  names(user_sd)[4] <- 'sd'
  
  user_sd_n <- cbind(user_sd, user_n)
  xyplot(sd ~ n | instrument, 
         group=user_sd_n$attempt, 
         data=user_sd_n,
         xlab='number of valid ratios',
         ylab="Standard deviation of Error",
         panel = function(...){
           
           auto.sd <- user_sd$sd[user_sd$attempt=='legacy']
           auto.n <- user_n$n[user_n$attempt=='legacy']
           panel.abline(h=auto.sd[panel.number()],col='grey')
           panel.abline(v=auto.n[panel.number()],col='grey')
           panel.xyplot(..., cex=1.4, lwd=1.4, type='p')
         },
         auto.key=list(space = "top", points = TRUE, lines = FALSE, cex=1.5)
  )
}
@

<<figure6,eval=TRUE, echo=FALSE, fig=TRUE, include=FALSE, width=5.0, height=5.0>>=
.figure6(data=msqc1_userstudy, peptides=peptides)
@

\begin{figure}[H]
\centering
\includegraphics[width=1.0\columnwidth]{plot-supplement_figure6}
\caption{\textbf{Comparision of precursor and product ion} --
Each panel displays the experimentally derived $\log_2$ L:H ratios versus the 
relative amount. The black line indicates the reference $\log_2$ L:H value. 
Dark and light grey shaded areas mark error margins of 1- and 2-fold on the 
linear scale, respectively.
\label{fig:MS1_prodIon}
}
\end{figure}

%\begin{figure}[H]
%\centering
%\includegraphics[width=1.0\columnwidth]{plot-supplement_figure7}
%\caption{\textbf{Comparision of accuracy between precursor and product} -- 
%Each panel shows the relative number of measured log2 L:H ratios within the error margin $\varepsilon$.
%The dark and light grey areas correspond to a 1-fold, 2-fold change on the linear scale, respectivly.
%The peptides \texttt{TAENF[R]} and \texttt{GYSIFSYAT[K]} were not considered.}
%\end{figure}



\begin{figure}[H]
\centering
%\resizebox{1.0\columnwidth}{!}
%{
\includegraphics[width=.47\columnwidth]{Radarplots_2} % TSQ
\includegraphics[width=.47\columnwidth]{Radarplots_4} % QTRA
\includegraphics[width=.47\columnwidth]{Radarplots_1} % EQ
\includegraphics[width=.47\columnwidth]{Radarplots_3} % HF
\includegraphics[width=.47\columnwidth]{Radarplots_5} % TrTOF
%\fbox{\includegraphics[width=.2\columnwidth]{Radarplots_legend}}
%}
\caption{{\bf Radarplot}  of different workflow metrics scaled on an arbitrary axis with the units 0--10. Values do not necessarily represent global applicable values but rather reflect the situation at the FGCZ.
For the following categories the axis reflects 0 = worst, 10 = best: 
Peptides per injection,
Sample throughput,
Accuracy,
Precision,
Flexibility post acquisition,
Sensitivity; 0 = best, 10 = worst:
Assay development time,
Price per injection,
Data size,
Data analysis.
}
\end{figure}



\section{Conclusions}

The daily operational business of a core facility is normally not allowing for optimization of each method parameter, prior to recording a data set. This is reflected in this study by running the experiments with methods used on a routine basis in our core facility. 
Our study shows that targeted data acquisition (SRM, PRM) outperforms targeted data extraction strategies (DIA) with respect to quantitative accuracy and precision, especially when the analyte concentration are low. But targeted acquisition methods are only suited for monitoring a limited number of targets, whily for screening experiments targeted data extraction workflows clearly outperform targeted data acquisition with respect to the number of features which can be followed. 
The question of whether greater throughput justifies lower sensitivity/specificity has yet to be answered in the context of the individual research project. In addition, large-scale DIA is very resource demanding (e.g. on the computational side) and especially data analysis needs more effort due to the high complexity of the raw data. Not all research environments are equally prepared for such challenges and should consider these aspects during experimental design setup. 

\paragraph{Acknowledgements}
We thank Laura~Kunz and Bernd~Roschitzki for participating in our user study, 
and Bernd Roschitzki for critically reading our manuscript. We are grateful to 
Can T{\"u}rker, Marco Schmidt and Ugur G{\"u}rel 
for providing the b-fabric 
information management system.
We thank ETH Zurich and University of Zurich for 
their financial support. 

%\nocite{msqc1}
\begin{thebibliography}{1}
\newcommand{\enquote}[1]{``#1''}
\providecommand{\natexlab}[1]{#1}
\providecommand{\url}[1]{\texttt{#1}}
\providecommand{\urlprefix}{URL }
\expandafter\ifx\csname urlstyle\endcsname\relax
  \providecommand{\doi}[1]{doi:\discretionary{}{}{}#1}\else
  \providecommand{\doi}{doi:\discretionary{}{}{}\begingroup
  \urlstyle{rm}\Url}\fi
\providecommand{\eprint}[2][]{\url{#2}}

\bibitem[{Kockmann \emph{et~al.}(2016)Kockmann, Trachsel, Panse, Wahlander,
  Selevsek, Grossmann, Wolski, and Schlapbach}]{msqc1}
Kockmann T, Trachsel C, Panse C, Wahlander A, Selevsek N, Grossmann J, Wolski
  WE, Schlapbach R (2016).
\newblock \enquote{Targeted proteomics coming of age - SRM, PRM and DIA
  performance evaluated from a core facility perspective.}
\newblock \emph{PROTEOMICS}, pp. n/a--n/a.
\newblock ISSN 1615-9861.
\newblock \doi{10.1002/pmic.201500502}.
\newblock \urlprefix\url{http://dx.doi.org/10.1002/pmic.201500502}.

\includegraphics[width=0.33\columnwidth]{qr_pmic_201500502}
\end{thebibliography}

\end{multicols}


%\vspace{-0.5cm}
\resizebox{1.0\textwidth}{!}
{
Contact: 
$^\diamond$
ETHZ\texttt{|}UZH,
Functional Genomics Center Zurich,
Winterthurerstr. 190,
CH-8057 Zurich,
SWITZERLAND,
Phone: +41 44 635 39 10,
Fax: +41 44 635 39 22,
EMail: \url{staffproteomics@fgcz.ethz.ch},
URL: \url{http://bioconductor.org/packages/msqc1/};~
$\ddag$~{\AA}sa W{\aa}hlander,
AstraZeneca
Nucleotide Bioanalysis, Drug Safety and Metabolism, Innovative Medicines
M{\"o}lndal, SE-43183, SWEDEN,
Phone: +46 (0)725470491.
%now with AstraZeneca, V{\"a}stra G{\"o}taland County, Sweden.
} 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\end{document}

\name{msqc1_userstudy}
\alias{msqc1_userstudy}
\docType{data}
\title{
msqc1 user study
}
\value{
	          A \code{data.frame} and \code{msqc1} S3 object.
}

\description{
contains a user study
}
\usage{data("msqc1_userstudy")}
\format{
  A data frame with 21204 observations on the following 17 variables.
  \describe{
    \item{\code{Replicate.Name}}{a factor with levels \code{01_QCdil_40dil_1} \code{02_QCdil_40dil_2} \code{03_MSQC1_1_40dil_1} \code{03_QCdil_40dil_3} \code{04_MSQC1_1_40dil_1} \code{04_QCdil_20dil_1} \code{05_MSQC1_1_40dil_3} \code{05_QCdil_20dil_2} \code{06_QCdil_20dil_3} \code{07_MSQC1_1_20dil_1} \code{07_QCdil_5dil_1} \code{08_MSQC1_1_20dil_2} \code{08_QCdil_5dil_2} \code{09_MSQC1_1_20dil_3} \code{09_QCdil_5dil_3} \code{10_nodil_1} \code{11_MSQC1_NoDil_1} \code{11_nodil_2} \code{12_nodil_3} \code{13_2conc_1_re} \code{13_MSQC1_NoDil_2} \code{14_2conc_2_re} \code{15_2conc_3} \code{15_MSQC1_NoDil_3} \code{16_5conc_1} \code{17_5conc_2} \code{17_MSQC1_x2_1} \code{18_5conc_3} \code{19_MSQC1_x2_2} \code{20140818_003_MSQC1_1_40dil_1} \code{20140818_004_MSQC1_1_40dil_1} \code{20140818_005_MSQC1_1_40dil_3} \code{20140818_007_MSQC1_1_20dil_1} \code{20140818_008_MSQC1_1_20dil_2} \code{20140818_009_MSQC1_1_20dil_3} \code{20140818_011_MSQC1_NoDil_1} \code{20140818_013_MSQC1_NoDil_2} \code{20140818_015_MSQC1_NoDil_3} \code{20140818_017_MSQC1_x2_1} \code{20140818_019_MSQC1_x2_2} \code{20140818_021_MSQC1_x2_3} \code{20140818_023_MSQC1_x5_1} \code{20140818_025_MSQC1_x5_2} \code{20140818_027_MSQC1_x5_3} \code{20140818_030_MSQC1_1_5dil_1} \code{20140818_032_MSQC1_1_5dil_2} \code{20140818_034_MSQC1_1_5dil_3} \code{20150601_001_QCdil_40dil_1} \code{20150601_002_QCdil_40dil_2} \code{20150601_003_QCdil_40dil_3} \code{20150601_004_QCdil_20dil_1} \code{20150601_005_QCdil_20dil_2} \code{20150601_006_QCdil_20dil_3} \code{20150601_007_QCdil_5dil_1} \code{20150601_008_QCdil_5dil_2} \code{20150601_009_QCdil_5dil_3} \code{20150601_010_nodil_1} \code{20150601_011_nodil_2} \code{20150601_012_nodil_3} \code{20150601_013_2conc_1_re} \code{20150601_014_2conc_2_re} \code{20150601_015_2conc_3} \code{20150601_016_5conc_1} \code{20150601_017_5conc_2} \code{20150601_018_5conc_3} \code{21_MSQC1_x2_3} \code{23_MSQC1_x5_1} \code{25_MSQC1_x5_2} \code{27_MSQC1_x5_3} \code{30_MSQC1_1_5dil_1} \code{32_MSQC1_1_5dil_2} \code{34_MSQC1_1_5dil_3}}
    \item{\code{File.Name}}{a factor with levels \code{20140818_003_MSQC1_1_40dil_1.wiff} \code{20140818_004_MSQC1_1_40dil_1.wiff} \code{20140818_005_MSQC1_1_40dil_3.wiff} \code{20140818_007_MSQC1_1_20dil_1.wiff} \code{20140818_008_MSQC1_1_20dil_2.wiff} \code{20140818_009_MSQC1_1_20dil_3.wiff} \code{20140818_011_MSQC1_NoDil_1.wiff} \code{20140818_013_MSQC1_NoDil_2.wiff} \code{20140818_015_MSQC1_NoDil_3.wiff} \code{20140818_017_MSQC1_x2_1.wiff} \code{20140818_019_MSQC1_x2_2.wiff} \code{20140818_021_MSQC1_x2_3.wiff} \code{20140818_023_MSQC1_x5_1.wiff} \code{20140818_025_MSQC1_x5_2.wiff} \code{20140818_027_MSQC1_x5_3.wiff} \code{20140818_030_MSQC1_1_5dil_1.wiff} \code{20140818_032_MSQC1_1_5dil_2.wiff} \code{20140818_034_MSQC1_1_5dil_3.wiff} \code{20150601_001_QCdil_40dil_1.wiff} \code{20150601_002_QCdil_40dil_2.wiff} \code{20150601_003_QCdil_40dil_3.wiff} \code{20150601_004_QCdil_20dil_1.wiff} \code{20150601_005_QCdil_20dil_2.wiff} \code{20150601_006_QCdil_20dil_3.wiff} \code{20150601_007_QCdil_5dil_1.wiff} \code{20150601_008_QCdil_5dil_2.wiff} \code{20150601_009_QCdil_5dil_3.wiff} \code{20150601_010_nodil_1.wiff} \code{20150601_011_nodil_2.wiff} \code{20150601_012_nodil_3.wiff} \code{20150601_013_2conc_1_re.wiff} \code{20150601_014_2conc_2_re.wiff} \code{20150601_015_2conc_3.wiff} \code{20150601_016_5conc_1.wiff} \code{20150601_017_5conc_2.wiff} \code{20150601_018_5conc_3.wiff}}
    \item{\code{Protein.Name}}{a factor with levels \code{CAH1/P00915} \code{CAH2/P00918} \code{Catalase/P04040} \code{CRP/P02741} \code{DT-Diaphorase(NQO1)/P15559} \code{iRT-C18 Standard Peptides} \code{PPIA/Q13427}}
    \item{\code{Peptide.Sequence}}{a factor with levels \code{ADVTPADFSEWSK} \code{ALIVLAHSER} \code{AVQQPDGLAVLGIFLK} \code{DGLDAASYYAPVR} \code{EGHLSPDIVAEQK} \code{ESDTSYVSLK} \code{FEDENFILK} \code{FSTVAGESGSADTVR} \code{GAGAFGYFEVTHDITK} \code{GAGSSEPVTGLDAK} \code{GGPFSDSYR} \code{GTFIIDPAAVIR} \code{GTFIIDPGGVIR} \code{GYSIFSYATK} \code{LFLQFGAQGSPFLK} \code{LGGNEQVTR} \code{NLSVEDAAR} \code{SADFTNFDPR} \code{TAENFR} \code{TPVISGGPYEYR} \code{TPVITGAPYEYR} \code{VEATFGVDES#N/AK} \code{VLDALQAIK} \code{VSFELFADK} \code{YILAGVENSK}}
    \item{\code{Isotope.Label.Type}}{a factor with levels \code{heavy} \code{light}}
    \item{\code{Precursor.Mz}}{a numeric vector}
    \item{\code{Precursor.Charge}}{a numeric vector}
    \item{\code{Product.Mz}}{a numeric vector}
    \item{\code{Product.Charge}}{a numeric vector}
    \item{\code{Fragment.Ion}}{a factor with levels \code{b8} \code{y10} \code{y11} \code{y12} \code{y4} \code{y5} \code{y6} \code{y7} \code{y8} \code{y9}}
    \item{\code{Retention.Time}}{a numeric vector}
    \item{\code{Area}}{a numeric vector}
    \item{\code{Background}}{a numeric vector}
    \item{\code{relative.amount}}{a numeric vector}
    \item{\code{instrument}}{a factor with levels \code{QTRAP} \code{TRIPLETOF}}
    \item{\code{user}}{a factor with levels \code{algorithm_1} \code{algorithm_2} \code{algorithm_3} \code{user_1} \code{user_2} \code{user_3} \code{user_4} \code{user_5} \code{user_6}}
    \item{\code{attempt}}{a factor with levels \code{beginner} \code{expert} \code{legacy} \code{mProphet} \code{second_best}}
  }
}
\details{
The data were derived by a user study.
Therfore each individual was given a skyline document containing the dilution series data recorded on the  QTRAP and TripleTOF 5600. Starting from skyline legacy results, users curated the data.

In  addition, two mProphet \doi{10.1038/nmeth.1584} models (as implemented in skyline) were trained on the 8 replicate data from the same instrument.
}
\examples{
data(msqc1_userstudy)
## maybe str(msqc1_userstudy) ; plot(msqc1_userstudy) ...
}
\keyword{datasets}

\name{msqc1_8rep_QEXACTIVEHF_assayDevel}
\alias{msqc1_8rep_QEXACTIVEHF_assayDevel}
\docType{data}
\title{
QEXACTIVEHF peptide signal response. 
}
\value{
	          A \code{data.frame} and \code{msqc1} S3 object.
}

\description{
This data set contains peptide signal response for the QEXACTIVEHF mass spec device.
The peptide level signals as measured by DIA. 
}
\usage{data("msqc1_8rep_QEXACTIVEHF_assayDevel")}
\format{
  A data frame with 1864 observations on the following 16 variables.
  \describe{
    \item{\code{Replicate.Name}}{a factor with levels \code{04_MSQC1_in_yd_incl_iRT_1in40_rep1} \code{05_MSQC1_in_yd_incl_iRT_1in40_rep2} \code{06_MSQC1_in_yd_incl_iRT_1in40_rep3} \code{07_MSQC1_in_yd_incl_iRT_1in40_rep4} \code{08_MSQC1_in_yd_incl_iRT_1in40_rep5} \code{09_MSQC1_in_yd_incl_iRT_1in40_rep6} \code{10_MSQC1_in_yd_incl_iRT_1in40_rep7} \code{11_MSQC1_in_yd_incl_iRT_1in40_rep8}}
    \item{\code{File.Name}}{a factor with levels \code{20150526_04_MSQC1_in_yd_incl_iRT_1in40_rep1.raw} \code{20150526_05_MSQC1_in_yd_incl_iRT_1in40_rep2.raw} \code{20150526_06_MSQC1_in_yd_incl_iRT_1in40_rep3.raw} \code{20150526_07_MSQC1_in_yd_incl_iRT_1in40_rep4.raw} \code{20150526_08_MSQC1_in_yd_incl_iRT_1in40_rep5.raw} \code{20150526_09_MSQC1_in_yd_incl_iRT_1in40_rep6.raw} \code{20150526_10_MSQC1_in_yd_incl_iRT_1in40_rep7.raw} \code{20150526_11_MSQC1_in_yd_incl_iRT_1in40_rep8.raw}}
    \item{\code{Protein.Name}}{a factor with levels \code{CAH1/P00915} \code{CAH2/P00918} \code{Catalase/P04040} \code{CRP/P02741} \code{DT-Diaphorase(NQO1)/P15559} \code{iRT-C18 Standard Peptides} \code{P00915MSQC1|CAH1_HUMAN_MSQC1} \code{P00918MSQC1|CAH2_HUMAN_MSQC1} \code{P02741MSQC1|CRP_HUMAN_MSQC1} \code{P04040MSQC1|CATA_HUMAN_MSQC1} \code{P15559MSQC1|NQO1_HUMAN_MSQC1} \code{P62937MSQC1|PPIA_HUMAN_MSQC1} \code{PPIA/Q13427}}
    \item{\code{Peptide.Sequence}}{a factor with levels \code{ADVLTTGAGNPVGDK} \code{ADVTPADFSEWSK} \code{AFYVNVLNEEQR} \code{ALIVLAHSER} \code{APLTKPLK} \code{AVQQPDGLAVLGIFLK} \code{DAQIFIQK} \code{DGLDAASYYAPVR} \code{DLFNAIATGK} \code{DPANFQYPAESVLAYK} \code{DPILFPSFIHSQK} \code{DYPLIPVGK} \code{EGHLSPDIVAEQK} \code{EIINVGHSFHVNFEDNDNR} \code{EPISVSSEQVLK} \code{ESDTSYVSLK} \code{ESISVSSEQLAQFR} \code{FEDENFILK} \code{FGLSVGHHLGK} \code{FNTANDDNVTQVR} \code{FSTVAGESGSADTVR} \code{GAGAFGYFEVTHDITK} \code{GAGSSEPVTGLDAK} \code{GGPFSDSYR} \code{GGPLDGTYR} \code{GTFIIDPAAVIR} \code{GTFIIDPGGVIR} \code{GYSIFSYATK} \code{HDTSLKPISVSYNPATAK} \code{HNGPEHWHK} \code{ILNNGHAFNVEFDDSQDK} \code{IQILEGWK} \code{LCENIAGHLK} \code{LFAYPDTHR} \code{LFLQFGAQGSPFLK} \code{LFQFHFHWGSTNEHGSEHTVDGVK} \code{LGGNEQVTR} \code{LGPNYLHIPVNCPYR} \code{LIQFHFHWGSLDGQGSEHTVDK} \code{LNVITVGPR} \code{LSQEDPDYGIR} \code{LVNANGEAVYCK} \code{LYPIANGNNQSPVDIK} \code{NAIHTFVQSGSHLAAR} \code{NGPEQWSK} \code{NLSVEDAAR} \code{QDNEILIFWSK} \code{QSPVDIDTHTAK} \code{SADFTNFDPR} \code{SIPTDNQIK} \code{TEWLDGK} \code{TPVISGGPYEYR} \code{TPVITGAPYEYR} \code{VEATFGVDESNAK} \code{VFEHIGK} \code{VGSAKPGLQK} \code{VLDALQAIK} \code{VSFELFADK} \code{VVDVLDSIK} \code{YAAELHLVHWNTK} \code{YDPSLKPLSVSYDQATSLR} \code{YEVQGEVFTKPQLWP} \code{YILAGVENSK} \code{YNAEKPK} \code{YSAELHVAHWNSAK} \code{YSSLAEAASK}}
    \item{\code{Isotope.Label.Type}}{a factor with levels \code{light}}
    \item{\code{Precursor.Mz}}{a numeric vector}
    \item{\code{Precursor.Charge}}{a numeric vector}
    \item{\code{Product.Mz}}{a numeric vector}
    \item{\code{Product.Charge}}{a numeric vector}
    \item{\code{Fragment.Ion}}{a factor with levels \code{b3} \code{b4} \code{b5} \code{b6} \code{b7} \code{b8} \code{y10} \code{y11} \code{y12} \code{y3} \code{y4} \code{y5} \code{y6} \code{y7} \code{y8} \code{y9}}
    \item{\code{Retention.Time}}{a numeric vector}
    \item{\code{Area}}{a numeric vector}
    \item{\code{Background}}{a numeric vector}
    \item{\code{relative.amount}}{a numeric vector}
    \item{\code{QEXACTIVEHF}}{a factor with levels \code{QEXACTIVEHF}}
    \item{\code{File.Name.Id}}{a numeric vector}
  }
}
%\details{
%%%  ~~ If necessary, more details than the __description__ above ~~
%}
%\source{
%%  ~~ reference to a publication or URL from which the data were obtained ~~
%}
%\references{
%%  ~~ possibly secondary sources and usages ~~
%}
\examples{
data(msqc1_8rep_QEXACTIVEHF_assayDevel)
## maybe str(msqc1_8rep_QEXACTIVEHF_assayDevel) ; plot(msqc1_8rep_QEXACTIVEHF_assayDevel) ...
}
\keyword{datasets}

\name{msqc1_8rep}
\alias{msqc1_8rep}
\docType{data}
\title{
MSQC1 8 technical replicates
}
\value{
	          A \code{data.frame} and \code{msqc1} S3 object.
}

\description{
 The data set contains a 8 technical replicates meassured on five mass spec devices.
}
\usage{data("msqc1_8rep")}
\format{
  A data frame with 6272 observations on the following 16 variables.
  \describe{
    \item{\code{Replicate.Name}}{a factor with levels \code{04_MSQC1_in_yd_incl_iRT_1in40_rep1} \code{05_MSQC1_in_yd_incl_iRT_1in40_rep2} \code{06_MSQC1_in_yd_incl_iRT_1in40_rep3} \code{07_MSQC1_in_yd_incl_iRT_1in40_rep4} \code{08_MSQC1_in_yd_incl_iRT_1in40_rep5} \code{09_MSQC1_in_yd_incl_iRT_1in40_rep6} \code{10_MSQC1_in_yd_incl_iRT_1in40_rep7} \code{11_MSQC1_in_yd_incl_iRT_1in40_rep8} \code{20131204_001_HS_yeast} \code{20131204_002_HS_yeast} \code{20131204_003_HS_yeast} \code{20131204_003_HS_yeast_01} \code{20131204_004_HS_yeast} \code{20131204_004_HS_yeast_02} \code{20131204_005_HS_yeast} \code{20131204_005_HS_yeast_03} \code{20131204_006_HS_yeast} \code{20131204_006_HS_yeast_04} \code{20131204_007_HS_yeast} \code{20131204_008_HS_yeast} \code{20131204_008_HS_yeast_05} \code{20131204_009_HS_yeast_06} \code{20131204_010_HS_yeast_07} \code{20131204_011_HS_yeast_08} \code{20140212_006_MSQC1_QTrap_01} \code{20140212_007_MSQC1_QTrap_02} \code{20140212_008_MSQC1_QTrap_03} \code{20140212_009_MSQC1_QTrap_04} \code{20140212_011_MSQC1_QTrap_05} \code{20140212_012_MSQC1_QTrap_06} \code{20140212_013_MSQC1_QTrap_07} \code{20140212_014_MSQC1_QTrap_08} \code{20140326_01_MSQC1_Yeast_iRT_12MS2_1e5_70k} \code{20140326_02_MSQC1_Yeast_iRT_12MS2_1e5_70k} \code{20140326_03_MSQC1_Yeast_iRT_12MS2_1e5_70k} \code{20140326_04_MSQC1_Yeast_iRT_12MS2_1e5_70k} \code{20140326_05_MSQC1_Yeast_iRT_12MS2_1e5_70k} \code{20140326_06_MSQC1_Yeast_iRT_12MS2_1e5_70k} \code{20140326_07_MSQC1_Yeast_iRT_12MS2_1e5_70k} \code{20140326_08_MSQC1_Yeast_iRT_12MS2_1e5_70k}}
    \item{\code{File.Name}}{a factor with levels \code{20131204_001_HS_yeast.wiff} \code{20131204_002_HS_yeast.wiff} \code{20131204_003_HS_yeast_01.raw} \code{20131204_003_HS_yeast.wiff} \code{20131204_004_HS_yeast_02.raw} \code{20131204_004_HS_yeast.wiff} \code{20131204_005_HS_yeast_03.raw} \code{20131204_005_HS_yeast.wiff} \code{20131204_006_HS_yeast_04.raw} \code{20131204_006_HS_yeast.wiff} \code{20131204_007_HS_yeast.wiff} \code{20131204_008_HS_yeast_05.raw} \code{20131204_008_HS_yeast.wiff} \code{20131204_009_HS_yeast_06.raw} \code{20131204_010_HS_yeast_07.raw} \code{20131204_011_HS_yeast_08.raw} \code{20140212_006_MSQC1_QTrap_01.wiff} \code{20140212_007_MSQC1_QTrap_02.wiff} \code{20140212_008_MSQC1_QTrap_03.wiff} \code{20140212_009_MSQC1_QTrap_04.wiff} \code{20140212_011_MSQC1_QTrap_05.wiff} \code{20140212_012_MSQC1_QTrap_06.wiff} \code{20140212_013_MSQC1_QTrap_07.wiff} \code{20140212_014_MSQC1_QTrap_08.wiff} \code{20140326_01_MSQC1_Yeast_iRT_12MS2_1e5_70k.raw} \code{20140326_02_MSQC1_Yeast_iRT_12MS2_1e5_70k.raw} \code{20140326_03_MSQC1_Yeast_iRT_12MS2_1e5_70k.raw} \code{20140326_04_MSQC1_Yeast_iRT_12MS2_1e5_70k.raw} \code{20140326_05_MSQC1_Yeast_iRT_12MS2_1e5_70k.raw} \code{20140326_06_MSQC1_Yeast_iRT_12MS2_1e5_70k.raw} \code{20140326_07_MSQC1_Yeast_iRT_12MS2_1e5_70k.raw} \code{20140326_08_MSQC1_Yeast_iRT_12MS2_1e5_70k.raw} \code{20150526_04_MSQC1_in_yd_incl_iRT_1in40_rep1.raw} \code{20150526_05_MSQC1_in_yd_incl_iRT_1in40_rep2.raw} \code{20150526_06_MSQC1_in_yd_incl_iRT_1in40_rep3.raw} \code{20150526_07_MSQC1_in_yd_incl_iRT_1in40_rep4.raw} \code{20150526_08_MSQC1_in_yd_incl_iRT_1in40_rep5.raw} \code{20150526_09_MSQC1_in_yd_incl_iRT_1in40_rep6.raw} \code{20150526_10_MSQC1_in_yd_incl_iRT_1in40_rep7.raw} \code{20150526_11_MSQC1_in_yd_incl_iRT_1in40_rep8.raw}}
    \item{\code{Protein.Name}}{a factor with levels \code{CAH1/P00915} \code{CAH2/P00918} \code{Catalase/P04040} \code{CRP/P02741} \code{DT-Diaphorase(NQO1)/P15559} \code{iRT-C18 Standard Peptides} \code{PPIA/Q13427}}
    \item{\code{Peptide.Sequence}}{a factor with levels \code{ADVTPADFSEWSK} \code{ALIVLAHSER} \code{AVQQPDGLAVLGIFLK} \code{DGLDAASYYAPVR} \code{EGHLSPDIVAEQK} \code{ESDTSYVSLK} \code{FEDENFILK} \code{FSTVAGESGSADTVR} \code{GAGAFGYFEVTHDITK} \code{GAGSSEPVTGLDAK} \code{GGPFSDSYR} \code{GTFIIDPAAVIR} \code{GTFIIDPGGVIR} \code{GYSIFSYATK} \code{LFLQFGAQGSPFLK} \code{LGGNEQVTR} \code{NLSVEDAAR} \code{SADFTNFDPR} \code{TAENFR} \code{TPVISGGPYEYR} \code{TPVITGAPYEYR} \code{VEATFGVDESNAK} \code{VLDALQAIK} \code{VSFELFADK} \code{YILAGVENSK}}
    \item{\code{Isotope.Label.Type}}{a factor with levels \code{heavy} \code{light}}
    \item{\code{Precursor.Mz}}{a numeric vector}
    \item{\code{Precursor.Charge}}{a numeric vector}
    \item{\code{Product.Mz}}{a numeric vector}
    \item{\code{Product.Charge}}{a numeric vector}
    \item{\code{Fragment.Ion}}{a factor with levels \code{b8} \code{precursor} \code{precursor [M+1]} \code{precursor [M+2]} \code{y10} \code{y11} \code{y12} \code{y4} \code{y5} \code{y6} \code{y7} \code{y8} \code{y9}}
    \item{\code{Retention.Time}}{a numeric vector}
    \item{\code{Area}}{a numeric vector}
    \item{\code{Background}}{a numeric vector}
    \item{\code{relative.amount}}{a numeric vector}
    \item{\code{instrument}}{a factor with levels \code{QExactive} \code{QExactiveHF} \code{QTRAP} \code{TRIPLETOF} \code{TSQVantage}}
    \item{\code{File.Name.Id}}{a numeric vector}
  }
}
%%\details{
%%  ~~ If necessary, more details than the __description__ above ~~
%}
%\source{
%%  ~~ reference to a publication or URL from which the data were obtained ~~
%}
%\references{
%%  ~~ possibly secondary sources and usages ~~
%}
\examples{
data(msqc1_8rep)
## maybe str(msqc1_8rep) ; plot(msqc1_8rep) ...
}
\keyword{datasets}

\name{msqc1_8rep_tripleTOF5600_assayDevel}
\alias{msqc1_8rep_tripleTOF5600_assayDevel}
\docType{data}
\title{
tripleTOF5600 peptide signal response
}
\value{
	          A \code{data.frame} and \code{msqc1} S3 object.
}

\description{
This data set contains peptide signal response for the tripleTOF5600 mass spec device.
The peptide level signals were measured  in SWATH-MS mode.

%%  ~~ A concise (1-5 lines) description of the dataset. ~~
}
\usage{data("msqc1_8rep_tripleTOF5600_assayDevel")}
\format{
  A data frame with 1616 observations on the following 17 variables.
  \describe{
    \item{\code{Replicate.Name}}{a factor with levels \code{20131204_001_HS_yeast} \code{20131204_002_HS_yeast} \code{20131204_003_HS_yeast} \code{20131204_004_HS_yeast} \code{20131204_005_HS_yeast} \code{20131204_006_HS_yeast} \code{20131204_007_HS_yeast} \code{20131204_008_HS_yeast}}
    \item{\code{File.Name}}{a factor with levels \code{20131204_001_HS_yeast.wiff} \code{20131204_002_HS_yeast.wiff} \code{20131204_003_HS_yeast.wiff} \code{20131204_004_HS_yeast.wiff} \code{20131204_005_HS_yeast.wiff} \code{20131204_006_HS_yeast.wiff} \code{20131204_007_HS_yeast.wiff} \code{20131204_008_HS_yeast.wiff}}
    \item{\code{Protein.Name}}{a factor with levels \code{CAH1/P00915} \code{CAH2/P00918} \code{Catalase/P04040} \code{CRP/P02741} \code{DT-Diaphorase(NQO1)/P15559} \code{iRT-C18 Standard Peptides} \code{P00915MSQC1|CAH1_HUMAN_MSQC1} \code{P00918MSQC1|CAH2_HUMAN_MSQC1} \code{P02741MSQC1|CRP_HUMAN_MSQC1} \code{P04040MSQC1|CATA_HUMAN_MSQC1} \code{P15559MSQC1|NQO1_HUMAN_MSQC1} \code{P62937MSQC1|PPIA_HUMAN_MSQC1} \code{PPIA/Q13427}}
    \item{\code{Peptide.Sequence}}{a factor with levels \code{ADGLAVIGVLMK} \code{ADVLTTGAGNPVGDK} \code{ADVTPADFSEWSK} \code{AFYVNVLNEEQR} \code{ALIVLAHSER} \code{APLTKPLK} \code{AVQQPDGLAVLGIFLK} \code{DAQIFIQK} \code{DGLDAASYYAPVR} \code{DLFNAIATGK} \code{DPILFPSFIHSQK} \code{DYPLIPVGK} \code{EGHLSPDIVAEQK} \code{EGMNIVEAMER} \code{EPISVSSEQVLK} \code{ESDTSYVSLK} \code{ESISVSSEQLAQFR} \code{FEDENFILK} \code{FGLSVGHHLGK} \code{FNTANDDNVTQVR} \code{FSTVAGESGSADTVR} \code{GAGAFGYFEVTHDITK} \code{GAGSSEPVTGLDAK} \code{GGPFSDSYR} \code{GGPLDGTYR} \code{GTFIIDPAAVIR} \code{GTFIIDPGGVIR} \code{GYSIFSYATK} \code{HDTSLKPISVSYNPATAK} \code{ILNNGHAFNVEFDDSQDK} \code{IQILEGWK} \code{LFAYPDTHR} \code{LFLQFGAQGSPFLK} \code{LGGNEQVTR} \code{LNVITVGPR} \code{LSQEDPDYGIR} \code{LYPIANGNNQSPVDIK} \code{NAIHTFVQSGSHLAAR} \code{NGPEQWSK} \code{NLSVEDAAR} \code{QSPVDIDTHTAK} \code{SADFTNFDPR} \code{TEWLDGK} \code{TPVISGGPYEYR} \code{TPVITGAPYEYR} \code{TSFNYAMK} \code{VEATFGVDESNAK} \code{VGSAKPGLQK} \code{VLDALQAIK} \code{VSFELFADK} \code{VVDVLDSIK} \code{YAAELHLVHWNTK} \code{YDPSLKPLSVSYDQATSLR} \code{YILAGVENSK} \code{YSAELHVAHWNSAK} \code{YSSLAEAASK}}
    \item{\code{Isotope.Label.Type}}{a factor with levels \code{light}}
    \item{\code{Precursor.Mz}}{a numeric vector}
    \item{\code{Precursor.Charge}}{a numeric vector}
    \item{\code{Product.Mz}}{a numeric vector}
    \item{\code{Product.Charge}}{a numeric vector}
    \item{\code{Fragment.Ion}}{a factor with levels \code{b2} \code{b3} \code{b7} \code{b8} \code{precursor} \code{precursor [M+1]} \code{precursor [M+2]} \code{y10} \code{y11} \code{y12} \code{y13} \code{y14} \code{y2} \code{y3} \code{y4} \code{y5} \code{y6} \code{y7} \code{y8} \code{y9}}
    \item{\code{Retention.Time}}{a numeric vector}
    \item{\code{Area}}{a numeric vector}
    \item{\code{Background}}{a numeric vector}
    \item{\code{relative.amount}}{a numeric vector}
    \item{\code{flag}}{a factor with levels \code{False} \code{True}}
    \item{\code{instrument}}{a factor with levels \code{TRIPLETOF}}
    \item{\code{File.Name.Id}}{a numeric vector}
  }
}
\details{
The signal response of the peptide *TAENF[R]* was not measured due to the lower m/z limit used by the DIA/SWATH-MS methods.
}
%\source{
%%  ~~ reference to a publication or URL from which the data were obtained ~~
%}
%\references{
%%  ~~ possibly secondary sources and usages ~~
%}
\examples{
data(msqc1_8rep_tripleTOF5600_assayDevel)

#filter <- !(msqc1_8rep_tripleTOF5600_assayDevel$Protein.Name %in% peptides$Protein.Name)

#msqc1:::.signal_response_ident_plot(msqc1_8rep_tripleTOF5600_assayDevel[filter, ], 
#  instrument="tripleTOF560",  
#  prot="P02741")

}
\keyword{datasets}

\name{msqc1-package}
\alias{msqc1-package}
\alias{msqc1}
\docType{package}
\title{
\packageTitle{msqc1}
}
\description{
\packageDescription{msqc1}


}
\details{
To  obtain  the  MSQC1  stock  solution,  MS  Qual/Quant  QC  Mix  (Catalog  #:  MSQC1,  Lot  #  081M6281)  was  purchased from SigmaLAldrich (Buchs, Switzerland). 

The first sample \code{msqc1_8rep} is based on eight techniqal replicates.  
To  derive  a  complex  sample  matrix,  10  mul  of  MSQC1  working  solution  was  mixed  with  10mul  (approx 10  mug)  tryptic  yeast  digest  (Saccharomyces  cerevisiae),  1mul  iRT  peptide  stock  solution  (Biognosys,  Schlieren,  Switzerland),  and  19  mul  0.1\%  FA. This  sample  is  denoted  as  standard  sample.

The \code{msqc1_dil} sample was derived from a six  point  dilution  series  containing  relative  MSQC1  amounts  of  0.025,  0.05,  0.2,  1,  2,  and  5  with  respect  to  the  standard  sample.  The  amount  of  yeast  digest  and  iRT peptides was kept constant across all dilution steps. The reference L:H ratio vs. the on column amount of  SIL peptide can be found in the data set \code{peptides}.

    Both samples were meassured on five mass spectrometers.
    The mass spectrometers and operation modes are:

    \itemize{

    \item \code{QTRAP} (ABSciex,  Concord,  Canada)  - {SRM mode}

    \item \code{TSQvantage} (ThermoScientific,  Bremen,  Germany) - {SRM mode}

    \item \code{Qexactive} (ThermoScientific,  Bremen,  Germany) - {PRM mode}
    
    \item \code{QExactiveHF} (ThermoScientific,  Bremen,  Germany) - {DIA mode}

    \item \code{TRIPLETOF} 5600 (ABSciex,  Concord,  Canada) - {SWATH and MS1 mode}
    }
    
All Raw  LC-MS  data  from  all  platforms  were  imported  into  Skyline  3.1 (\doi{10.1093/bioinformatics/btq054}).
A  single  expert  user  adjusted  the  automatic  peak  group  selection  and  integration  border  positioning  (skyline  legacy  peak  scoring).

The data were exported from skyline as csv files and included in this package as \code{data.frame} in RData files. 
}

\author{
\packageAuthor{msqc1}

Maintainer: \packageMaintainer{msqc1}

}

\references{
 \itemize{
 
 \item \url{www.sigmaLaldrich.com}
 
 \item skyline software - \doi{10.1093/bioinformatics/btq054}
 
  \item peptide mix \url{http://www.sigmaaldrich.com/life-science/proteomics/mass-spectrometry/ms-qual-quant-qc-mix.html}, 2014
  
  \item Functional Genomic Center Zurich data repository (internal project p1959) \url{http://fgcz-bfabric.uzh.ch/bfabric/userlab/show-project.html?projectId=1959} - contains all mass spectrometer generated raw files. access for registered users.
  
  \item \url{https://panoramaweb.org/labkey/project/Panorama Public/} search for msqc1 (not published yet) - contains all sklyline files and the export template
  }
  
}

\keyword{msqc1, proteomics, mass spectrometry, quantification, PRM, SWATH-MS, DIA}

%\seealso{

%~~ \code{\link[<pkg>:<pkg>-package]{<pkg>}} ~~
%}
\examples{
 # Have Fun!
browseVignettes('msqc1')
}

\name{peptides}
\alias{peptides}
\docType{data}
\title{
sigma mix peptides
}
\value{
	          A \code{data.frame}.
}

\description{
This table contains msqc1 peptide proberties.
}
\usage{data("peptides")}
\format{
  A data frame with 14 observations on the following 5 variables.
  \describe{
    \item{\code{Peptide.Sequence}}{a factor with levels \code{ALIVLAHSER} \code{AVQQPDGLAVLGIFLK} \code{EGHLSPDIVAEQK} \code{ESDTSYVSLK} \code{FEDENFILK} \code{FSTVAGESGSADTVR} \code{GAGAFGYFEVTHDITK} \code{GGPFSDSYR} \code{GYSIFSYATK} \code{NLSVEDAAR} \code{SADFTNFDPR} \code{TAENFR} \code{VLDALQAIK} \code{VSFELFADK}}
    \item{\code{SIL.peptide.per.vial}}{a numeric vector}
    \item{\code{LH.ratio}}{a numeric vector}
    \item{\code{actual.LH.ratio}}{a numeric vector}
    \item{\code{Protein.Name}}{a factor with levels \code{CAH1/P00915} \code{CAH2/P00918} \code{Catalase/P04040} \code{CRP/P02741} \code{DT-Diaphorase(NQO1)/P15559} \code{PPIA/Q13427}}
  }
}
%\details{
%%  ~~ If necessary, more details than the __description__ above ~~
%}
\source{
\url{http://www.sigmaaldrich.com/life-science/proteomics/mass-spectrometry/ms-qual-quant-qc-mix.html}, 2014
}
%\references{
%%  ~~ possibly secondary sources and usages ~~
%}
\examples{
data(peptides)
## maybe str(peptides) ; plot(peptides) ...
}
\keyword{datasets}
